// ignore_for_file: constant_identifier_names

import 'dart:ui';

/// LanguageCodes(code, name in English, name in native).
///   - [code]: language code.
///   - [englishNames]: List of names in English.
///   - [nativeNames]: List of names in native.
///
/// @Source https://stackoverflow.com/questions/3217492/list-of-language-codes-in-yaml-or-json
/// @Source generated by chat-gpt 3.5
enum LanguageCodes {
  /// code: "aa", name: "Afar", nativeName: "Afaraf"
  aa("aa", "Afar", "Afaraf"),

  /// code: "aa_DJ", name: "Afar (Djibouti)", nativeName: "Afaraf (Djibouti)"
  aa_DJ("aa_DJ", "Afar (Djibouti)", "Afaraf (Djibouti)"),

  /// code: "aa_ER", name: "Afar (Eritrea)", nativeName: "Afaraf (Ertra)"
  aa_ER("aa_ER", "Afar (Eritrea)", "Afaraf (Ertra)"),

  /// code: "aa_ET", name: "Afar (Ethiopia)", nativeName: "Afaraf (Ityop'iya)"
  aa_ET("aa_ET", "Afar (Ethiopia)", "Afaraf (Ityop'iya)"),

  /// code: "ab", name: "Abkhaz", nativeName: "аҧсуа"
  ab("ab", "Abkhaz", "аҧсуа"),

  /// code: "ab_AZ", name: "Abkhaz (Azerbaijan)", nativeName: "аҧсуа (Аҟьсуаия)"
  ab_AZ("ab_AZ", "Abkhaz (Azerbaijan)", "аҧсуа (Аҟьсуаия)"),

  /// code: "ab_GE", name: "Abkhaz (Georgia)", nativeName: "аҧсуа (Гуырзаиа)"
  ab_GE("ab_GE", "Abkhaz (Georgia)", "аҧсуа (Гуырзаиа)"),

  /// code: "ae", name: "Avestan", nativeName: "Avesta"
  ae("ae", "Avestan", "Avesta"),

  /// code: "ae_AF", name: "Avestan (Afghanistan)", nativeName: "Avesta (Afghanistan)"
  ae_AF("ae_AF", "Avestan (Afghanistan)", "Avesta (Afghanistan)"),

  /// code: "af", name: "Afrikaans", nativeName: "Afrikaans"
  af("af", "Afrikaans", "Afrikaans"),

  /// code: "af_NA", name: "Afrikaans (Namibia)", nativeName: "Afrikaans (Namibië)"
  af_NA("af_NA", "Afrikaans (Namibia)", "Afrikaans (Namibië)"),

  /// code: "af_ZA", name: "Afrikaans (South Africa)", nativeName: "Afrikaans (Suid-Afrika)"
  af_ZA("af_ZA", "Afrikaans (South Africa)", "Afrikaans (Suid-Afrika)"),

  /// code: "ak", name: "Akan", nativeName: "Akan"
  ak("ak", "Akan", "Akan"),

  /// code: "ak_GH", name: "Akan (Ghana)", nativeName: "Akan (Ghana)"
  ak_GH("ak_GH", "Akan (Ghana)", "Akan (Ghana)"),

  /// code: "am", name: "Amharic", nativeName: "አማርኛ"
  am("am", "Amharic", "አማርኛ"),

  /// code: "am_ET", name: "Amharic (Ethiopia)", nativeName: "አማርኛ (ኢትዮጵያ)"
  am_ET("am_ET", "Amharic (Ethiopia)", "አማርኛ (ኢትዮጵያ)"),

  /// code: "an", name: "Aragonese", nativeName: "Aragonés"
  an("an", "Aragonese", "Aragonés"),

  /// code: "an_ES", name: "Aragonese (Spain)", nativeName: "Aragonés (España)"
  an_ES("an_ES", "Aragonese (Spain)", "Aragonés (España)"),

  /// code: "ar", name: "Arabic", nativeName: "العربية"
  ar("ar", "Arabic", "العربية"),

  /// code: "ar_AE", name: "Arabic (United Arab Emirates)", nativeName: "العربية (الإمارات العربية المتحدة)"
  ar_AE("ar_AE", "Arabic (United Arab Emirates)",
      "العربية (الإمارات العربية المتحدة)"),

  /// code: "ar_BH", name: "Arabic (Bahrain)", nativeName: "العربية (البحرين)"
  ar_BH("ar_BH", "Arabic (Bahrain)", "العربية (البحرين)"),

  /// code: "ar_DZ", name: "Arabic (Algeria)", nativeName: "العربية (الجزائر)"
  ar_DZ("ar_DZ", "Arabic (Algeria)", "العربية (الجزائر)"),

  /// code: "ar_EG", name: "Arabic (Egypt)", nativeName: "العربية (مصر)"
  ar_EG("ar_EG", "Arabic (Egypt)", "العربية (مصر)"),

  /// code: "ar_EH", name: "Arabic (Western Sahara)", nativeName: "العربية (الصحراء الغربية)"
  ar_EH("ar_EH", "Arabic (Western Sahara)", "العربية (الصحراء الغربية)"),

  /// code: "ar_ER", name: "Arabic (Eritrea)", nativeName: "العربية (إريتريا)"
  ar_ER("ar_ER", "Arabic (Eritrea)", "العربية (إريتريا)"),

  /// code: "ar_IL", name: "Arabic (Israel)", nativeName: "العربية (إسرائيل)"
  ar_IL("ar_IL", "Arabic (Israel)", "العربية (إسرائيل)"),

  /// code: "ar_IQ", name: "Arabic (Iraq)", nativeName: "العربية (العراق)"
  ar_IQ("ar_IQ", "Arabic (Iraq)", "العربية (العراق)"),

  /// code: "ar_JO", name: "Arabic (Jordan)", nativeName: "العربية (الأردن)"
  ar_JO("ar_JO", "Arabic (Jordan)", "العربية (الأردن)"),

  /// code: "ar_KM", name: "Arabic (Comoros)", nativeName: "العربية (جزر القمر)"
  ar_KM("ar_KM", "Arabic (Comoros)", "العربية (جزر القمر)"),

  /// code: "ar_KW", name: "Arabic (Kuwait)", nativeName: "العربية (الكويت)"
  ar_KW("ar_KW", "Arabic (Kuwait)", "العربية (الكويت)"),

  /// code: "ar_LB", name: "Arabic (Lebanon)", nativeName: "العربية (لبنان)"
  ar_LB("ar_LB", "Arabic (Lebanon)", "العربية (لبنان)"),

  /// code: "ar_LY", name: "Arabic (Libya)", nativeName: "العربية (ليبيا)"
  ar_LY("ar_LY", "Arabic (Libya)", "العربية (ليبيا)"),

  /// code: "ar_MA", name: "Arabic (Morocco)", nativeName: "العربية (المغرب)"
  ar_MA("ar_MA", "Arabic (Morocco)", "العربية (المغرب)"),

  /// code: "ar_MR", name: "Arabic (Mauritania)", nativeName: "العربية (موريتانيا)"
  ar_MR("ar_MR", "Arabic (Mauritania)", "العربية (موريتانيا)"),

  /// code: "ar_OM", name: "Arabic (Oman)", nativeName: "العربية (عمان)"
  ar_OM("ar_OM", "Arabic (Oman)", "العربية (عمان)"),

  /// code: "ar_PS", name: "Arabic (Palestine)", nativeName: "العربية (فلسطين)"
  ar_PS("ar_PS", "Arabic (Palestine)", "العربية (فلسطين)"),

  /// code: "ar_QA", name: "Arabic (Qatar)", nativeName: "العربية (قطر)"
  ar_QA("ar_QA", "Arabic (Qatar)", "العربية (قطر)"),

  /// code: "ar_SA", name: "Arabic (Saudi Arabia)", nativeName: "العربية (المملكة العربية السعودية)"
  ar_SA("ar_SA", "Arabic (Saudi Arabia)", "العربية (المملكة العربية السعودية)"),

  /// code: "ar_SD", name: "Arabic (Sudan)", nativeName: "العربية (السودان)"
  ar_SD("ar_SD", "Arabic (Sudan)", "العربية (السودان)"),

  /// code: "ar_SO", name: "Arabic (Somalia)", nativeName: "العربية (الصومال)"
  ar_SO("ar_SO", "Arabic (Somalia)", "العربية (الصومال)"),

  /// code: "ar_SS", name: "Arabic (South Sudan)", nativeName: "العربية (جنوب السودان)"
  ar_SS("ar_SS", "Arabic (South Sudan)", "العربية (جنوب السودان)"),

  /// code: "ar_SY", name: "Arabic (Syria)", nativeName: "العربية (سوريا)"
  ar_SY("ar_SY", "Arabic (Syria)", "العربية (سوريا)"),

  /// code: "ar_TD", name: "Arabic (Chad)", nativeName: "العربية (تشاد)"
  ar_TD("ar_TD", "Arabic (Chad)", "العربية (تشاد)"),

  /// code: "ar_TN", name: "Arabic (Tunisia)", nativeName: "العربية (تونس)"
  ar_TN("ar_TN", "Arabic (Tunisia)", "العربية (تونس)"),

  /// code: "ar_YE", name: "Arabic (Yemen)", nativeName: "العربية (اليمن)"
  ar_YE("ar_YE", "Arabic (Yemen)", "العربية (اليمن)"),

  /// code: "as", name: "Assamese", nativeName: "অসমীয়া"
  as("as", "Assamese", "অসমীয়া"),

  /// code: "as_IN", name: "Assamese (India)", nativeName: "অসমীয়া (ভাৰত)"
  as_IN("as_IN", "Assamese (India)", "অসমীয়া (ভাৰত)"),

  /// code: "av", name: "Avaric", nativeName: "авар мацӀ, магӀарул мацӀ"
  av("av", "Avaric", "авар мацӀ, магӀарул мацӀ"),

  /// code: "av_RU", name: "Avaric (Russia)", nativeName: "авар мацӀ, магӀарул мацӀ (Россия)"
  av_RU("av_RU", "Avaric (Russia)", "авар мацӀ, магӀарул мацӀ (Россия)"),

  /// code: "ay", name: "Aymara", nativeName: "aymar aru"
  ay("ay", "Aymara", "aymar aru"),

  /// code: "ay_BO", name: "Aymara (Bolivia)", nativeName: "aymar aru (Bolivia)"
  ay_BO("ay_BO", "Aymara (Bolivia)", "aymar aru (Bolivia)"),

  /// code: "az", name: "Azerbaijani", nativeName: "azərbaycan dili"
  az("az", "Azerbaijani", "azərbaycan dili"),

  /// code: "az_AZ", name: "Azerbaijani (Azerbaijan)", nativeName: "azərbaycan dili (Azərbaycan)"
  az_AZ("az_AZ", "Azerbaijani (Azerbaijan)", "azərbaycan dili (Azərbaycan)"),

  /// code: "az_Cyrl", name: "Azerbaijani (Cyrillic)", nativeName: "азәрбајҹан дили (кирил)"
  az_Cyrl("az_Cyrl", "Azerbaijani (Cyrillic)", "азәрбајҹан дили (кирил)"),

  /// code: "az_Cyrl_AZ", name: "Azerbaijani (Cyrillic, Azerbaijan)", nativeName: "азәрбајҹан дили (кирил, Азәрбајҹан)"
  az_Cyrl_AZ("az_Cyrl_AZ", "Azerbaijani (Cyrillic, Azerbaijan)",
      "азәрбајҹан дили (кирил, Азәрбајҹан)"),

  /// code: "az_Latn", name: "Azerbaijani (Latin)", nativeName: "azərbaycan dili (latın)"
  az_Latn("az_Latn", "Azerbaijani (Latin)", "azərbaycan dili (latın)"),

  /// code: "az_Latn_AZ", name: "Azerbaijani (Latin, Azerbaijan)", nativeName: "azərbaycan dili (latın, Azərbaycan)"
  az_Latn_AZ("az_Latn_AZ", "Azerbaijani (Latin, Azerbaijan)",
      "azərbaycan dili (latın, Azərbaycan)"),

  /// code: "ba", name: "Bashkir", nativeName: "башҡорт теле"
  ba("ba", "Bashkir", "башҡорт теле"),

  /// code: "ba_RU", name: "Bashkir (Russia)", nativeName: "башҡорт теле (Россия)"
  ba_RU("ba_RU", "Bashkir (Russia)", "башҡорт теле (Россия)"),

  /// code: "be", name: "Belarusian", nativeName: "беларуская мова"
  be("be", "Belarusian", "беларуская мова"),

  /// code: "be_BY", name: "Belarusian (Belarus)", nativeName: "беларуская мова (Беларусь)"
  be_BY("be_BY", "Belarusian (Belarus)", "беларуская мова (Беларусь)"),

  /// code: "bg", name: "Bulgarian", nativeName: "български език"
  bg("bg", "Bulgarian", "български език"),

  /// code: "bg_BG", name: "Bulgarian (Bulgaria)", nativeName: "български език (България)"
  bg_BG("bg_BG", "Bulgarian (Bulgaria)", "български език (България)"),

  /// code: "bh", name: "Bihari", nativeName: "भोजपुरी"
  bh("bh", "Bihari", "भोजपुरी"),

  /// code: "bh_IN", name: "Bihari (India)", nativeName: "भोजपुरी (भारत)"
  bh_IN("bh_IN", "Bihari (India)", "भोजपुरी (भारत)"),

  /// code: "bi", name: "Bislama", nativeName: "Bislama"
  bi("bi", "Bislama", "Bislama"),

  /// code: "bi_VU", name: "Bislama (Vanuatu)", nativeName: "Bislama (Vanuatu)"
  bi_VU("bi_VU", "Bislama (Vanuatu)", "Bislama (Vanuatu)"),

  /// code: "bn", name: "Bengali", nativeName: "বাংলা"
  bn("bn", "Bengali", "বাংলা"),

  /// code: "bn_BD", name: "Bengali (Bangladesh)", nativeName: "বাংলা (বাংলাদেশ)"
  bn_BD("bn_BD", "Bengali (Bangladesh)", "বাংলা (বাংলাদেশ)"),

  /// code: "bm", name: "Bambara", nativeName: "Bamanankan"
  bm("bm", "Bambara", "Bamanankan"),

  /// code: "bm_ML", name: "Bambara (Mali)", nativeName: "Bamanankan (Mali)"
  bm_ML("bm_ML", "Bambara (Mali)", "Bamanankan (Mali)"),

  /// code: "bn_IN", name: "Bengali (India)", nativeName: "বাংলা (ভারত)"
  bn_IN("bn_IN", "Bengali (India)", "বাংলা (ভারত)"),

  /// code: "bo", name: "Tibetan Standard", nativeName: "བོད་ཡིག"
  bo("bo", "Tibetan Standard", "བོད་ཡིག"),

  /// code: "bo_CN", name: "Tibetan Standard (China)", nativeName: "བོད་ཡིག (ཀྲུང་ཧྭ།)"
  bo_CN("bo_CN", "Tibetan Standard (China)", "བོད་ཡིག (ཀྲུང་ཧྭ།)"),

  /// code: "bo_IN", name: "Tibetan Standard (India)", nativeName: "བོད་ཡིག (རྒྱ་གར)"
  bo_IN("bo_IN", "Tibetan Standard (India)", "བོད་ཡིག (རྒྱ་གར)"),

  /// code: "br", name: "Breton", nativeName: "brezhoneg"
  br("br", "Breton", "brezhoneg"),

  /// code: "br_FR", name: "Breton (France)", nativeName: "brezhoneg (Frañs)"
  br_FR("br_FR", "Breton (France)", "brezhoneg (Frañs)"),

  /// code: "bs", name: "Bosnian", nativeName: "bosanski jezik"
  bs("bs", "Bosnian", "bosanski jezik"),

  /// code: "bs_BA", name: "Bosnian (Bosnia and Herzegovina)", nativeName: "bosanski jezik (Bosna i Hercegovina)"
  bs_BA("bs_BA", "Bosnian (Bosnia and Herzegovina)",
      "bosanski jezik (Bosna i Hercegovina)"),

  /// code: "ca", name: "Catalan", nativeName: "català"
  ca("ca", "Catalan", "català"),

  /// code: "ca_AD", name: "Catalan (Andorra)", nativeName: "català (Andorra)"
  ca_AD("ca_AD", "Catalan (Andorra)", "català (Andorra)"),

  /// code: "ca_ES", name: "Catalan (Spain)", nativeName: "català (Espanya)"
  ca_ES("ca_ES", "Catalan (Spain)", "català (Espanya)"),

  /// code: "ca_FR", name: "Catalan (France)", nativeName: "català (França)"
  ca_FR("ca_FR", "Catalan (France)", "català (França)"),

  /// code: "ca_IT", name: "Catalan (Italy)", nativeName: "català (Itàlia)"
  ca_IT("ca_IT", "Catalan (Italy)", "català (Itàlia)"),

  /// code: "ce", name: "Chechen", nativeName: "нохчийн мотт"
  ce("ce", "Chechen", "нохчийн мотт"),

  /// code: "ce_RU", name: "Chechen (Russia)", nativeName: "нохчийн мотт (Росси)"
  ce_RU("ce_RU", "Chechen (Russia)", "нохчийн мотт (Росси)"),

  /// code: "ch", name: "Chamorro", nativeName: "Chamoru"
  ch("ch", "Chamorro", "Chamoru"),

  /// code: "ch_GU", name: "Chamorro (Guam)", nativeName: "Chamoru (Guåhån)"
  ch_GU("ch_GU", "Chamorro (Guam)", "Chamoru (Guåhån)"),

  /// code: "ch_MP", name: "Chamorro (Northern Mariana Islands)", nativeName: "Chamoru (ʼSankattan Sihàn)"
  ch_MP("ch_MP", "Chamorro (Northern Mariana Islands)",
      "Chamoru (ʼSankattan Sihàn)"),

  /// code: "co", name: "Corsican", nativeName: "corsu, lingua corsa"
  co("co", "Corsican", "corsu, lingua corsa"),

  /// code: "co_FR", name: "Corsican (France)", nativeName: "corsu, lingua corsa (France)"
  co_FR("co_FR", "Corsican (France)", "corsu, lingua corsa (France)"),

  /// code: "cr", name: "Cree", nativeName: "ᓀᐦᐃᔭᐍᐏᐣ"
  cr("cr", "Cree", "ᓀᐦᐃᔭᐍᐏᐣ"),

  /// code: "cr_CA", name: "Cree (Canada)", nativeName: "ᓀᐦᐃᔭᐍᐏᐣ (Canada)"
  cr_CA("cr_CA", "Cree (Canada)", "ᓀᐦᐃᔭᐍᐏᐣ (Canada)"),

  /// code: "cs", name: "Czech", nativeName: "čeština, český jazyk"
  cs("cs", "Czech", "čeština, český jazyk"),

  /// code: "cs_CZ", name: "Czech (Czech Republic)", nativeName: "čeština, český jazyk (Česká republika)"
  cs_CZ("cs_CZ", "Czech (Czech Republic)",
      "čeština, český jazyk (Česká republika)"),

  /// code: "cu", name: "Church Slavic", nativeName: "ѩзыкъ словѣньскъ"
  cu("cu", "Church Slavic", "ѩзыкъ словѣньскъ"),

  /// code: "cu_RU", name: "Church Slavic (Russia)", nativeName: "ѩзыкъ словѣньскъ (Россия)"
  cu_RU("cu_RU", "Church Slavic (Russia)", "ѩзыкъ словѣньскъ (Россия)"),

  /// code: "cv", name: "Chuvash", nativeName: "чӑваш чӗлхи"
  cv("cv", "Chuvash", "чӑваш чӗлхи"),

  /// code: "cv_RU", name: "Chuvash (Russia)", nativeName: "чӑваш чӗлхи (Росси)"
  cv_RU("cv_RU", "Chuvash (Russia)", "чӑваш чӗлхи (Росси)"),

  /// code: "cy", name: "Welsh", nativeName: "Cymraeg"
  cy("cy", "Welsh", "Cymraeg"),

  /// code: "cy_GB", name: "Welsh (United Kingdom)", nativeName: "Cymraeg (y Deyrnas Unedig)"
  cy_GB("cy_GB", "Welsh (United Kingdom)", "Cymraeg (y Deyrnas Unedig)"),

  /// code: "da", name: "Danish", nativeName: "dansk"
  da("da", "Danish", "dansk"),

  /// code: "da_DK", name: "Danish (Denmark)", nativeName: "dansk (Danmark)"
  da_DK("da_DK", "Danish (Denmark)", "dansk (Danmark)"),

  /// code: "da_GL", name: "Danish (Greenland)", nativeName: "dansk (Grønland)"
  da_GL("da_GL", "Danish (Greenland)", "dansk (Grønland)"),

  /// code: "de", name: "German", nativeName: "Deutsch"
  de("de", "German", "Deutsch"),

  /// code: "de_AT", name: "German (Austria)", nativeName: "Deutsch (Österreich)"
  de_AT("de_AT", "German (Austria)", "Deutsch (Österreich)"),

  /// code: "de_BE", name: "German (Belgium)", nativeName: "Deutsch (Belgien)"
  de_BE("de_BE", "German (Belgium)", "Deutsch (Belgien)"),

  /// code: "de_CH", name: "German (Switzerland)", nativeName: "Deutsch (Schweiz)"
  de_CH("de_CH", "German (Switzerland)", "Deutsch (Schweiz)"),

  /// code: "de_DE", name: "German (Germany)", nativeName: "Deutsch (Deutschland)"
  de_DE("de_DE", "German (Germany)", "Deutsch (Deutschland)"),

  /// code: "de_IT", name: "German (Italy)", nativeName: "Deutsch (Italien)"
  de_IT("de_IT", "German (Italy)", "Deutsch (Italien)"),

  /// code: "de_LI", name: "German (Liechtenstein)", nativeName: "Deutsch (Liechtenstein)"
  de_LI("de_LI", "German (Liechtenstein)", "Deutsch (Liechtenstein)"),

  /// code: "de_LU", name: "German (Luxembourg)", nativeName: "Deutsch (Luxemburg)"
  de_LU("de_LU", "German (Luxembourg)", "Deutsch (Luxemburg)"),

  /// code: "dv", name: "Divehi", nativeName: "ދިވެހި"
  dv("dv", "Divehi", "ދިވެހި"),

  /// code: "dv_MV", name: "Divehi (Maldives)", nativeName: "ދިވެހި (ދިވެހިރާއްޖޭގެ ޖުމްހޫރިއްޔާ)"
  dv_MV("dv_MV", "Divehi (Maldives)", "ދިވެހި (ދިވެހިރާއްޖޭގެ ޖުމްހޫރިއްޔާ)"),

  /// code: "dz", name: "Dzongkha", nativeName: "རྫོང་ཁ"
  dz("dz", "Dzongkha", "རྫོང་ཁ"),

  /// code: "dz_BT", name: "Dzongkha (Bhutan)", nativeName: "རྫོང་ཁ (འབྲུག་ཡུལ)"
  dz_BT("dz_BT", "Dzongkha (Bhutan)", "རྫོང་ཁ (འབྲུག་ཡུལ)"),

  /// code: "ee", name: "Ewe", nativeName: "Eʋegbe"
  ee("ee", "Ewe", "Eʋegbe"),

  /// code: "ee_GH", name: "Ewe (Ghana)", nativeName: "Eʋegbe (Ghana nutome)"
  ee_GH("ee_GH", "Ewe (Ghana)", "Eʋegbe (Ghana nutome)"),

  /// code: "ee_TG", name: "Ewe (Togo)", nativeName: "Eʋegbe (Togo nutome)"
  ee_TG("ee_TG", "Ewe (Togo)", "Eʋegbe (Togo nutome)"),

  /// code: "el", name: "Greek, Modern", nativeName: "ελληνικά"
  el("el", "Greek, Modern", "ελληνικά"),

  /// code: "el_CY", name: "Greek, Modern (Cyprus)", nativeName: "ελληνικά (Κύπρος)"
  el_CY("el_CY", "Greek, Modern (Cyprus)", "ελληνικά (Κύπρος)"),

  /// code: "el_GR", name: "Greek, Modern (Greece)", nativeName: "ελληνικά (Ελλάδα)"
  el_GR("el_GR", "Greek, Modern (Greece)", "ελληνικά (Ελλάδα)"),

  /// code: "en", name: "English", nativeName: "English"
  en("en", "English", "English"),

  /// code: "en_AG", name: "English (Antigua and Barbuda)", nativeName: "English (Antigua and Barbuda)"
  en_AG("en_AG", "English (Antigua and Barbuda)",
      "English (Antigua and Barbuda)"),

  /// code: "en_AI", name: "English (Anguilla)", nativeName: "English (Anguilla)"
  en_AI("en_AI", "English (Anguilla)", "English (Anguilla)"),

  /// code: "en_AS", name: "English (American Samoa)", nativeName: "English (American Samoa)"
  en_AS("en_AS", "English (American Samoa)", "English (American Samoa)"),

  /// code: "en_AT", name: "English (Austria)", nativeName: "English (Austria)"
  en_AT("en_AT", "English (Austria)", "English (Austria)"),

  /// code: "en_AU", name: "English (Australia)", nativeName: "English (Australia)"
  en_AU("en_AU", "English (Australia)", "English (Australia)"),

  /// code: "en_BB", name: "English (Barbados)", nativeName: "English (Barbados)"
  en_BB("en_BB", "English (Barbados)", "English (Barbados)"),

  /// code: "en_BE", name: "English (Belgium)", nativeName: "English (Belgium)"
  en_BE("en_BE", "English (Belgium)", "English (Belgium)"),

  /// code: "en_BI", name: "English (Burundi)", nativeName: "English (Burundi)"
  en_BI("en_BI", "English (Burundi)", "English (Burundi)"),

  /// code: "en_BM", name: "English (Bermuda)", nativeName: "English (Bermuda)"
  en_BM("en_BM", "English (Bermuda)", "English (Bermuda)"),

  /// code: "en_BS", name: "English (Bahamas)", nativeName: "English (Bahamas)"
  en_BS("en_BS", "English (Bahamas)", "English (Bahamas)"),

  /// code: "en_BW", name: "English (Botswana)", nativeName: "English (Botswana)"
  en_BW("en_BW", "English (Botswana)", "English (Botswana)"),

  /// code: "en_BZ", name: "English (Belize)", nativeName: "English (Belize)"
  en_BZ("en_BZ", "English (Belize)", "English (Belize)"),

  /// code: "en_CA", name: "English (Canada)", nativeName: "English (Canada)"
  en_CA("en_CA", "English (Canada)", "English (Canada)"),

  /// code: "en_CC", name: "English (Cocos (Keeling) Islands)", nativeName: "English (Cocos (Keeling) Islands)"
  en_CC("en_CC", "English (Cocos (Keeling) Islands)",
      "English (Cocos (Keeling) Islands)"),

  /// code: "en_CH", name: "English (Switzerland)", nativeName: "English (Switzerland)"
  en_CH("en_CH", "English (Switzerland)", "English (Switzerland)"),

  /// code: "en_CK", name: "English (Cook Islands)", nativeName: "English (Cook Islands)"
  en_CK("en_CK", "English (Cook Islands)", "English (Cook Islands)"),

  /// code: "en_CM", name: "English (Cameroon)", nativeName: "English (Cameroon)"
  en_CM("en_CM", "English (Cameroon)", "English (Cameroon)"),

  /// code: "en_CX", name: "English (Christmas Island)", nativeName: "English (Christmas Island)"
  en_CX("en_CX", "English (Christmas Island)", "English (Christmas Island)"),

  /// code: "en_CY", name: "English (Cyprus)", nativeName: "English (Cyprus)"
  en_CY("en_CY", "English (Cyprus)", "English (Cyprus)"),

  /// code: "en_DE", name: "English (Germany)", nativeName: "English (Germany)"
  en_DE("en_DE", "English (Germany)", "English (Germany)"),

  /// code: "en_DK", name: "English (Denmark)", nativeName: "English (Denmark)"
  en_DK("en_DK", "English (Denmark)", "English (Denmark)"),

  /// code: "en_DM", name: "English (Dominica)", nativeName: "English (Dominica)"
  en_DM("en_DM", "English (Dominica)", "English (Dominica)"),

  /// code: "en_ER", name: "English (Eritrea)", nativeName: "English (Eritrea)"
  en_ER("en_ER", "English (Eritrea)", "English (Eritrea)"),

  /// code: "en_FI", name: "English (Finland)", nativeName: "English (Finland)"
  en_FI("en_FI", "English (Finland)", "English (Finland)"),

  /// code: "en_FJ", name: "English (Fiji)", nativeName: "English (Fiji)"
  en_FJ("en_FJ", "English (Fiji)", "English (Fiji)"),

  /// code: "en_FK", name: "English (Falkland Islands (Malvinas))", nativeName: "English (Falkland Islands (Malvinas))"
  en_FK("en_FK", "English (Falkland Islands (Malvinas))",
      "English (Falkland Islands (Malvinas))"),

  /// code: "en_FM", name: "English (Micronesia, Federated States of)", nativeName: "English (Micronesia, Federated States of)"
  en_FM("en_FM", "English (Micronesia, Federated States of)",
      "English (Micronesia, Federated States of)"),

  /// code: "en_GB", name: "English (United Kingdom)", nativeName: "English (United Kingdom)"
  en_GB("en_GB", "English (United Kingdom)", "English (United Kingdom)"),

  /// code: "en_GD", name: "English (Grenada)", nativeName: "English (Grenada)"
  en_GD("en_GD", "English (Grenada)", "English (Grenada)"),

  /// code: "en_GG", name: "English (Guernsey)", nativeName: "English (Guernsey)"
  en_GG("en_GG", "English (Guernsey)", "English (Guernsey)"),

  /// code: "en_GH", name: "English (Ghana)", nativeName: "English (Ghana)"
  en_GH("en_GH", "English (Ghana)", "English (Ghana)"),

  /// code: "en_GI", name: "English (Gibraltar)", nativeName: "English (Gibraltar)"
  en_GI("en_GI", "English (Gibraltar)", "English (Gibraltar)"),

  /// code: "en_GM", name: "English (Gambia)", nativeName: "English (Gambia)"
  en_GM("en_GM", "English (Gambia)", "English (Gambia)"),

  /// code: "en_GU", name: "English (Guam)", nativeName: "English (Guam)"
  en_GU("en_GU", "English (Guam)", "English (Guam)"),

  /// code: "en_GY", name: "English (Guyana)", nativeName: "English (Guyana)"
  en_GY("en_GY", "English (Guyana)", "English (Guyana)"),

  /// code: "en_HK", name: "English (Hong Kong)", nativeName: "English (Hong Kong)"
  en_HK("en_HK", "English (Hong Kong)", "English (Hong Kong)"),

  /// code: "en_IE", name: "English (Ireland)", nativeName: "English (Ireland)"
  en_IE("en_IE", "English (Ireland)", "English (Ireland)"),

  /// code: "en_IL", name: "English (Israel)", nativeName: "English (Israel)"
  en_IL("en_IL", "English (Israel)", "English (Israel)"),

  /// code: "en_IM", name: "English (Isle of Man)", nativeName: "English (Isle of Man)"
  en_IM("en_IM", "English (Isle of Man)", "English (Isle of Man)"),

  /// code: "en_IN", name: "English (India)", nativeName: "English (India)"
  en_IN("en_IN", "English (India)", "English (India)"),

  /// code: "en_IO", name: "English (British Indian Ocean Territory)", nativeName: "English (British Indian Ocean Territory)"
  en_IO("en_IO", "English (British Indian Ocean Territory)",
      "English (British Indian Ocean Territory)"),

  /// code: "en_JE", name: "English (Jersey)", nativeName: "English (Jersey)"
  en_JE("en_JE", "English (Jersey)", "English (Jersey)"),

  /// code: "en_JM", name: "English (Jamaica)", nativeName: "English (Jamaica)"
  en_JM("en_JM", "English (Jamaica)", "English (Jamaica)"),

  /// code: "en_KE", name: "English (Kenya)", nativeName: "English (Kenya)"
  en_KE("en_KE", "English (Kenya)", "English (Kenya)"),

  /// code: "en_KI", name: "English (Kiribati)", nativeName: "English (Kiribati)"
  en_KI("en_KI", "English (Kiribati)", "English (Kiribati)"),

  /// code: "en_KN", name: "English (Saint Kitts and Nevis)", nativeName: "English (Saint Kitts and Nevis)"
  en_KN("en_KN", "English (Saint Kitts and Nevis)",
      "English (Saint Kitts and Nevis)"),

  /// code: "en_KY", name: "English (Cayman Islands)", nativeName: "English (Cayman Islands)"
  en_KY("en_KY", "English (Cayman Islands)", "English (Cayman Islands)"),

  /// code: "en_LC", name: "English (Saint Lucia)", nativeName: "English (Saint Lucia)"
  en_LC("en_LC", "English (Saint Lucia)", "English (Saint Lucia)"),

  /// code: "en_LR", name: "English (Liberia)", nativeName: "English (Liberia)"
  en_LR("en_LR", "English (Liberia)", "English (Liberia)"),

  /// code: "en_LS", name: "English (Lesotho)", nativeName: "English (Lesotho)"
  en_LS("en_LS", "English (Lesotho)", "English (Lesotho)"),

  /// code: "en_LT", name: "English (Lithuania)", nativeName: "English (Lithuania)"
  en_LT("en_LT", "English (Lithuania)", "English (Lithuania)"),

  /// code: "en_LU", name: "English (Luxembourg)", nativeName: "English (Luxembourg)"
  en_LU("en_LU", "English (Luxembourg)", "English (Luxembourg)"),

  /// code: "en_LV", name: "English (Latvia)", nativeName: "English (Latvia)"
  en_LV("en_LV", "English (Latvia)", "English (Latvia)"),

  /// code: "en_MG", name: "English (Madagascar)", nativeName: "English (Madagascar)"
  en_MG("en_MG", "English (Madagascar)", "English (Madagascar)"),

  /// code: "en_MH", name: "English (Marshall Islands)", nativeName: "English (Marshall Islands)"
  en_MH("en_MH", "English (Marshall Islands)", "English (Marshall Islands)"),

  /// code: "en_MO", name: "English (Macao)", nativeName: "English (Macao)"
  en_MO("en_MO", "English (Macao)", "English (Macao)"),

  /// code: "en_MP", name: "English (Northern Mariana Islands)", nativeName: "English (Northern Mariana Islands)"
  en_MP("en_MP", "English (Northern Mariana Islands)",
      "English (Northern Mariana Islands)"),

  /// code: "en_MS", name: "English (Montserrat)", nativeName: "English (Montserrat)"
  en_MS("en_MS", "English (Montserrat)", "English (Montserrat)"),

  /// code: "en_MT", name: "English (Malta)", nativeName: "English (Malta)"
  en_MT("en_MT", "English (Malta)", "English (Malta)"),

  /// code: "en_MU", name: "English (Mauritius)", nativeName: "English (Mauritius)"
  en_MU("en_MU", "English (Mauritius)", "English (Mauritius)"),

  /// code: "en_MW", name: "English (Malawi)", nativeName: "English (Malawi)"
  en_MW("en_MW", "English (Malawi)", "English (Malawi)"),

  /// code: "en_MY", name: "English (Malaysia)", nativeName: "English (Malaysia)"
  en_MY("en_MY", "English (Malaysia)", "English (Malaysia)"),

  /// code: "en_NA", name: "English (Namibia)", nativeName: "English (Namibia)"
  en_NA("en_NA", "English (Namibia)", "English (Namibia)"),

  /// code: "en_NF", name: "English (Norfolk Island)", nativeName: "English (Norfolk Island)"
  en_NF("en_NF", "English (Norfolk Island)", "English (Norfolk Island)"),

  /// code: "en_NG", name: "English (Nigeria)", nativeName: "English (Nigeria)"
  en_NG("en_NG", "English (Nigeria)", "English (Nigeria)"),

  /// code: "en_NL", name: "English (Netherlands)", nativeName: "English (Netherlands)"
  en_NL("en_NL", "English (Netherlands)", "English (Netherlands)"),

  /// code: "en_NR", name: "English (Nauru)", nativeName: "English (Nauru)"
  en_NR("en_NR", "English (Nauru)", "English (Nauru)"),

  /// code: "en_NU", name: "English (Niue)", nativeName: "English (Niue)"
  en_NU("en_NU", "English (Niue)", "English (Niue)"),

  /// code: "en_NZ", name: "English (New Zealand)", nativeName: "English (New Zealand)"
  en_NZ("en_NZ", "English (New Zealand)", "English (New Zealand)"),

  /// code: "en_PG", name: "English (Papua New Guinea)", nativeName: "English (Papua New Guinea)"
  en_PG("en_PG", "English (Papua New Guinea)", "English (Papua New Guinea)"),

  /// code: "en_PH", name: "English (Philippines)", nativeName: "English (Philippines)"
  en_PH("en_PH", "English (Philippines)", "English (Philippines)"),

  /// code: "en_PK", name: "English (Pakistan)", nativeName: "English (Pakistan)"
  en_PK("en_PK", "English (Pakistan)", "English (Pakistan)"),

  /// code: "en_PN", name: "English (Pitcairn)", nativeName: "English (Pitcairn)"
  en_PN("en_PN", "English (Pitcairn)", "English (Pitcairn)"),

  /// code: "en_PR", name: "English (Puerto Rico)", nativeName: "English (Puerto Rico)"
  en_PR("en_PR", "English (Puerto Rico)", "English (Puerto Rico)"),

  /// code: "en_PW", name: "English (Palau)", nativeName: "English (Palau)"
  en_PW("en_PW", "English (Palau)", "English (Palau)"),

  /// code: "en_RW", name: "English (Rwanda)", nativeName: "English (Rwanda)"
  en_RW("en_RW", "English (Rwanda)", "English (Rwanda)"),

  /// code: "en_SB", name: "English (Solomon Islands)", nativeName: "English (Solomon Islands)"
  en_SB("en_SB", "English (Solomon Islands)", "English (Solomon Islands)"),

  /// code: "en_SC", name: "English (Seychelles)", nativeName: "English (Seychelles)"
  en_SC("en_SC", "English (Seychelles)", "English (Seychelles)"),

  /// code: "en_SD", name: "English (Sudan)", nativeName: "English (Sudan)"
  en_SD("en_SD", "English (Sudan)", "English (Sudan)"),

  /// code: "en_SE", name: "English (Sweden)", nativeName: "English (Sweden)"
  en_SE("en_SE", "English (Sweden)", "English (Sweden)"),

  /// code: "en_SG", name: "English (Singapore)", nativeName: "English (Singapore)"
  en_SG("en_SG", "English (Singapore)", "English (Singapore)"),

  /// code: "en_SH", name: "English (Saint Helena)", nativeName: "English (Saint Helena)"
  en_SH("en_SH", "English (Saint Helena)", "English (Saint Helena)"),

  /// code: "en_SI", name: "English (Slovenia)", nativeName: "English (Slovenia)"
  en_SI("en_SI", "English (Slovenia)", "English (Slovenia)"),

  /// code: "en_SL", name: "English (Sierra Leone)", nativeName: "English (Sierra Leone)"
  en_SL("en_SL", "English (Sierra Leone)", "English (Sierra Leone)"),

  /// code: "en_SS", name: "English (South Sudan)", nativeName: "English (South Sudan)"
  en_SS("en_SS", "English (South Sudan)", "English (South Sudan)"),

  /// code: "en_SX", name: "English (Sint Maarten (Dutch part))", nativeName: "English (Sint Maarten (Dutch part))"
  en_SX("en_SX", "English (Sint Maarten (Dutch part))",
      "English (Sint Maarten (Dutch part))"),

  /// code: "en_SZ", name: "English (Eswatini)", nativeName: "English (Eswatini)"
  en_SZ("en_SZ", "English (Eswatini)", "English (Eswatini)"),

  /// code: "en_TC", name: "English (Turks and Caicos Islands)", nativeName: "English (Turks and Caicos Islands)"
  en_TC("en_TC", "English (Turks and Caicos Islands)",
      "English (Turks and Caicos Islands)"),

  /// code: "en_TK", name: "English (Tokelau)", nativeName: "English (Tokelau)"
  en_TK("en_TK", "English (Tokelau)", "English (Tokelau)"),

  /// code: "en_TO", name: "English (Tonga)", nativeName: "English (Tonga)"
  en_TO("en_TO", "English (Tonga)", "English (Tonga)"),

  /// code: "en_TT", name: "English (Trinidad and Tobago)", nativeName: "English (Trinidad and Tobago)"
  en_TT("en_TT", "English (Trinidad and Tobago)",
      "English (Trinidad and Tobago)"),

  /// code: "en_TV", name: "English (Tuvalu)", nativeName: "English (Tuvalu)"
  en_TV("en_TV", "English (Tuvalu)", "English (Tuvalu)"),

  /// code: "en_TZ", name: "English (Tanzania, United Republic of)", nativeName: "English (Tanzania, United Republic of)"
  en_TZ("en_TZ", "English (Tanzania, United Republic of)",
      "English (Tanzania, United Republic of)"),

  /// code: "en_UG", name: "English (Uganda)", nativeName: "English (Uganda)"
  en_UG("en_UG", "English (Uganda)", "English (Uganda)"),

  /// code: "en_UM", name: "English (United States Minor Outlying Islands)", nativeName: "English (United States Minor Outlying Islands)"
  en_UM("en_UM", "English (United States Minor Outlying Islands)",
      "English (United States Minor Outlying Islands)"),

  /// code: "en_US", name: "English (United States of America)", nativeName: "English (United States of America)"
  en_US("en_US", "English (United States of America)",
      "English (United States of America)"),

  /// code: "en_VC", name: "English (Saint Vincent and the Grenadines)", nativeName: "English (Saint Vincent and the Grenadines)"
  en_VC("en_VC", "English (Saint Vincent and the Grenadines)",
      "English (Saint Vincent and the Grenadines)"),

  /// code: "en_VG", name: "English (Virgin Islands (British))", nativeName: "English (Virgin Islands (British))"
  en_VG("en_VG", "English (Virgin Islands (British))",
      "English (Virgin Islands (British))"),

  /// code: "en_VI", name: "English (Virgin Islands (U.S.))", nativeName: "English (Virgin Islands (U.S.))"
  en_VI("en_VI", "English (Virgin Islands (U.S.))",
      "English (Virgin Islands (U.S.))"),

  /// code: "en_VU", name: "English (Vanuatu)", nativeName: "English (Vanuatu)"
  en_VU("en_VU", "English (Vanuatu)", "English (Vanuatu)"),

  /// code: "en_WS", name: "English (Samoa)", nativeName: "English (Samoa)"
  en_WS("en_WS", "English (Samoa)", "English (Samoa)"),

  /// code: "en_ZA", name: "English (South Africa)", nativeName: "English (South Africa)"
  en_ZA("en_ZA", "English (South Africa)", "English (South Africa)"),

  /// code: "en_ZM", name: "English (Zambia)", nativeName: "English (Zambia)"
  en_ZM("en_ZM", "English (Zambia)", "English (Zambia)"),

  /// code: "en_ZW", name: "English (Zimbabwe)", nativeName: "English (Zimbabwe)"
  en_ZW("en_ZW", "English (Zimbabwe)", "English (Zimbabwe)"),

  /// code: "eo", name: "Esperanto", nativeName: "Esperanto"
  eo("eo", "Esperanto", "Esperanto"),

  /// code: "eo_001", name: "Esperanto (World)", nativeName: "Esperanto (World)"
  eo_001("eo_001", "Esperanto (World)", "Esperanto (World)"),

  /// code: "es", name: "Spanish", nativeName: "español"
  es("es", "Spanish", "español"),

  /// code: "es_AR", name: "Spanish (Argentina)", nativeName: "español (Argentina)"
  es_AR("es_AR", "Spanish (Argentina)", "español (Argentina)"),

  /// code: "es_BO", name: "Spanish (Bolivia)", nativeName: "español (Bolivia)"
  es_BO("es_BO", "Spanish (Bolivia)", "español (Bolivia)"),

  /// code: "es_BR", name: "Spanish (Brazil)", nativeName: "español (Brasil)"
  es_BR("es_BR", "Spanish (Brazil)", "español (Brasil)"),

  /// code: "es_BZ", name: "Spanish (Belize)", nativeName: "español (Belice)"
  es_BZ("es_BZ", "Spanish (Belize)", "español (Belice)"),

  /// code: "es_CL", name: "Spanish (Chile)", nativeName: "español (Chile)"
  es_CL("es_CL", "Spanish (Chile)", "español (Chile)"),

  /// code: "es_CO", name: "Spanish (Colombia)", nativeName: "español (Colombia)"
  es_CO("es_CO", "Spanish (Colombia)", "español (Colombia)"),

  /// code: "es_CR", name: "Spanish (Costa Rica)", nativeName: "español (Costa Rica)"
  es_CR("es_CR", "Spanish (Costa Rica)", "español (Costa Rica)"),

  /// code: "es_CU", name: "Spanish (Cuba)", nativeName: "español (Cuba)"
  es_CU("es_CU", "Spanish (Cuba)", "español (Cuba)"),

  /// code: "es_DO", name: "Spanish (Dominican Republic)", nativeName: "español (República Dominicana)"
  es_DO("es_DO", "Spanish (Dominican Republic)",
      "español (República Dominicana)"),

  /// code: "es_EC", name: "Spanish (Ecuador)", nativeName: "español (Ecuador)"
  es_EC("es_EC", "Spanish (Ecuador)", "español (Ecuador)"),

  /// code: "es_ES", name: "Spanish (Spain)", nativeName: "español (España)"
  es_ES("es_ES", "Spanish (Spain)", "español (España)"),

  /// code: "es_GQ", name: "Spanish (Equatorial Guinea)", nativeName: "español (Guinea Ecuatorial)"
  es_GQ("es_GQ", "Spanish (Equatorial Guinea)", "español (Guinea Ecuatorial)"),

  /// code: "es_GT", name: "Spanish (Guatemala)", nativeName: "español (Guatemala)"
  es_GT("es_GT", "Spanish (Guatemala)", "español (Guatemala)"),

  /// code: "es_HN", name: "Spanish (Honduras)", nativeName: "español (Honduras)"
  es_HN("es_HN", "Spanish (Honduras)", "español (Honduras)"),

  /// code: "es_MX", name: "Spanish (Mexico)", nativeName: "español (México)"
  es_MX("es_MX", "Spanish (Mexico)", "español (México)"),

  /// code: "es_NI", name: "Spanish (Nicaragua)", nativeName: "español (Nicaragua)"
  es_NI("es_NI", "Spanish (Nicaragua)", "español (Nicaragua)"),

  /// code: "es_PA", name: "Spanish (Panama)", nativeName: "español (Panamá)"
  es_PA("es_PA", "Spanish (Panama)", "español (Panamá)"),

  /// code: "es_PE", name: "Spanish (Peru)", nativeName: "español (Perú)"
  es_PE("es_PE", "Spanish (Peru)", "español (Perú)"),

  /// code: "es_PH", name: "Spanish (Philippines)", nativeName: "español (Filipinas)"
  es_PH("es_PH", "Spanish (Philippines)", "español (Filipinas)"),

  /// code: "es_PR", name: "Spanish (Puerto Rico)", nativeName: "español (Puerto Rico)"
  es_PR("es_PR", "Spanish (Puerto Rico)", "español (Puerto Rico)"),

  /// code: "es_PY", name: "Spanish (Paraguay)", nativeName: "español (Paraguay)"
  es_PY("es_PY", "Spanish (Paraguay)", "español (Paraguay)"),

  /// code: "es_SV", name: "Spanish (El Salvador)", nativeName: "español (El Salvador)"
  es_SV("es_SV", "Spanish (El Salvador)", "español (El Salvador)"),

  /// code: "es_US", name: "Spanish (United States)", nativeName: "español (Estados Unidos)"
  es_US("es_US", "Spanish (United States)", "español (Estados Unidos)"),

  /// code: "es_UY", name: "Spanish (Uruguay)", nativeName: "español (Uruguay)"
  es_UY("es_UY", "Spanish (Uruguay)", "español (Uruguay)"),

  /// code: "es_VE", name: "Spanish (Venezuela)", nativeName: "español (Venezuela)"
  es_VE("es_VE", "Spanish (Venezuela)", "español (Venezuela)"),

  /// code: "et", name: "Estonian", nativeName: "eesti"
  et("et", "Estonian", "eesti"),

  /// code: "et_EE", name: "Estonian (Estonia)", nativeName: "eesti (Eesti)"
  et_EE("et_EE", "Estonian (Estonia)", "eesti (Eesti)"),

  /// code: "eu", name: "Basque", nativeName: "euskara"
  eu("eu", "Basque", "euskara"),

  /// code: "eu_ES", name: "Basque (Spain)", nativeName: "euskara (Espainia)"
  eu_ES("eu_ES", "Basque (Spain)", "euskara (Espainia)"),

  /// code: "fa", name: "Persian", nativeName: "فارسی"
  fa("fa", "Persian", "فارسی"),

  /// code: "fa_AF", name: "Persian (Afghanistan)", nativeName: "فارسی (افغانستان)"
  fa_AF("fa_AF", "Persian (Afghanistan)", "فارسی (افغانستان)"),

  /// code: "fa_IR", name: "Persian (Iran, Islamic Republic of)", nativeName: "فارسی (ایران)"
  fa_IR("fa_IR", "Persian (Iran, Islamic Republic of)", "فارسی (ایران)"),

  /// code: "ff", name: "Fulah", nativeName: "Fulfulde"
  ff("ff", "Fulah", "Fulfulde"),

  /// code: "ff_CM", name: "Fulah (Cameroon)", nativeName: "Fulfulde (Kamerun)"
  ff_CM("ff_CM", "Fulah (Cameroon)", "Fulfulde (Kamerun)"),

  /// code: "ff_GN", name: "Fulah (Guinea)", nativeName: "Fulfulde (Guinée)"
  ff_GN("ff_GN", "Fulah (Guinea)", "Fulfulde (Guinée)"),

  /// code: "ff_MR", name: "Fulah (Mauritania)", nativeName: "Fulfulde (Muritani)"
  ff_MR("ff_MR", "Fulah (Mauritania)", "Fulfulde (Muritani)"),

  /// code: "ff_SN", name: "Fulah (Senegal)", nativeName: "Fulfulde (Senegaal)"
  ff_SN("ff_SN", "Fulah (Senegal)", "Fulfulde (Senegaal)"),

  /// code: "fi", name: "Finnish", nativeName: "suomi"
  fi("fi", "Finnish", "suomi"),

  /// code: "fi_FI", name: "Finnish (Finland)", nativeName: "suomi (Suomi)"
  fi_FI("fi_FI", "Finnish (Finland)", "suomi (Suomi)"),

  /// code: "fj", name: "Fijian", nativeName: "Vosa Vakaviti"
  fj("fj", "Fijian", "Vosa Vakaviti"),

  /// code: "fo", name: "Faroese", nativeName: "føroyskt"
  fo("fo", "Faroese", "føroyskt"),

  /// code: "fo_DK", name: "Faroese (Denmark)", nativeName: "føroyskt (Danmark)"
  fo_DK("fo_DK", "Faroese (Denmark)", "føroyskt (Danmark)"),

  /// code: "fo_FO", name: "Faroese (Faroe Islands)", nativeName: "føroyskt (Føroyar)"
  fo_FO("fo_FO", "Faroese (Faroe Islands)", "føroyskt (Føroyar)"),

  /// code: "fr", name: "French", nativeName: "français"
  fr("fr", "French", "français"),

  /// code: "fr_BE", name: "French (Belgium)", nativeName: "français (Belgique)"
  fr_BE("fr_BE", "French (Belgium)", "français (Belgique)"),

  /// code: "fr_BF", name: "French (Burkina Faso)", nativeName: "français (Burkina Faso)"
  fr_BF("fr_BF", "French (Burkina Faso)", "français (Burkina Faso)"),

  /// code: "fr_BI", name: "French (Burundi)", nativeName: "français (Burundi)"
  fr_BI("fr_BI", "French (Burundi)", "français (Burundi)"),

  /// code: "fr_BJ", name: "French (Benin)", nativeName: "français (Bénin)"
  fr_BJ("fr_BJ", "French (Benin)", "français (Bénin)"),

  /// code: "fr_BL", name: "French (Saint Barthélemy)", nativeName: "français (Saint-Barthélemy)"
  fr_BL("fr_BL", "French (Saint Barthélemy)", "français (Saint-Barthélemy)"),

  /// code: "fr_CA", name: "French (Canada)", nativeName: "français (Canada)"
  fr_CA("fr_CA", "French (Canada)", "français (Canada)"),

  /// code: "fr_CD", name: "French (Congo, The Democratic Republic of the)", nativeName: "français (Congo-Kinshasa)"
  fr_CD("fr_CD", "French (Congo, The Democratic Republic of the)",
      "français (Congo-Kinshasa)"),

  /// code: "fr_CF", name: "French (Central African Republic)", nativeName: "français (République centrafricaine)"
  fr_CF("fr_CF", "French (Central African Republic)",
      "français (République centrafricaine)"),

  /// code: "fr_CG", name: "French (Congo)", nativeName: "français (Congo-Brazzaville)"
  fr_CG("fr_CG", "French (Congo)", "français (Congo-Brazzaville)"),

  /// code: "fr_CH", name: "French (Switzerland)", nativeName: "français (Suisse)"
  fr_CH("fr_CH", "French (Switzerland)", "français (Suisse)"),

  /// code: "fr_CI", name: "French (Côte d'Ivoire)", nativeName: "français (Côte d’Ivoire)"
  fr_CI("fr_CI", "French (Côte d'Ivoire)", "français (Côte d’Ivoire)"),

  /// code: "fr_CM", name: "French (Cameroon)", nativeName: "français (Cameroun)"
  fr_CM("fr_CM", "French (Cameroon)", "français (Cameroun)"),

  /// code: "fr_DJ", name: "French (Djibouti)", nativeName: "français (Djibouti)"
  fr_DJ("fr_DJ", "French (Djibouti)", "français (Djibouti)"),

  /// code: "fr_DZ", name: "French (Algeria)", nativeName: "français (Algérie)"
  fr_DZ("fr_DZ", "French (Algeria)", "français (Algérie)"),

  /// code: "fr_FR", name: "French (France)", nativeName: "français (France)"
  fr_FR("fr_FR", "French (France)", "français (France)"),

  /// code: "fr_GA", name: "French (Gabon)", nativeName: "français (Gabon)"
  fr_GA("fr_GA", "French (Gabon)", "français (Gabon)"),

  /// code: "fr_GF", name: "French (French Guiana)", nativeName: "français (Guyane française)"
  fr_GF("fr_GF", "French (French Guiana)", "français (Guyane française)"),

  /// code: "fr_GN", name: "French (Guinea)", nativeName: "français (Guinée)"
  fr_GN("fr_GN", "French (Guinea)", "français (Guinée)"),

  /// code: "fr_GP", name: "French (Guadeloupe)", nativeName: "français (Guadeloupe)"
  fr_GP("fr_GP", "French (Guadeloupe)", "français (Guadeloupe)"),

  /// code: "fr_GQ", name: "French (Equatorial Guinea)", nativeName: "français (Guinée équatoriale)"
  fr_GQ("fr_GQ", "French (Equatorial Guinea)", "français (Guinée équatoriale)"),

  /// code: "fr_HT", name: "French (Haiti)", nativeName: "français (Haïti)"
  fr_HT("fr_HT", "French (Haiti)", "français (Haïti)"),

  /// code: "fr_KM", name: "French (Comoros)", nativeName: "français (Comores)"
  fr_KM("fr_KM", "French (Comoros)", "français (Comores)"),

  /// code: "fr_LU", name: "French (Luxembourg)", nativeName: "français (Luxembourg)"
  fr_LU("fr_LU", "French (Luxembourg)", "français (Luxembourg)"),

  /// code: "fr_MA", name: "French (Morocco)", nativeName: "français (Maroc)"
  fr_MA("fr_MA", "French (Morocco)", "français (Maroc)"),

  /// code: "fr_MC", name: "French (Monaco)", nativeName: "français (Monaco)"
  fr_MC("fr_MC", "French (Monaco)", "français (Monaco)"),

  /// code: "fr_MF", name: "French (Saint Martin (French part))", nativeName: "français (Saint-Martin (partie française))"
  fr_MF("fr_MF", "French (Saint Martin (French part))",
      "français (Saint-Martin (partie française))"),

  /// code: "fr_MG", name: "French (Madagascar)", nativeName: "français (Madagascar)"
  fr_MG("fr_MG", "French (Madagascar)", "français (Madagascar)"),

  /// code: "fr_ML", name: "French (Mali)", nativeName: "français (Mali)"
  fr_ML("fr_ML", "French (Mali)", "français (Mali)"),

  /// code: "fr_MQ", name: "French (Martinique)", nativeName: "français (Martinique)"
  fr_MQ("fr_MQ", "French (Martinique)", "français (Martinique)"),

  /// code: "fr_MR", name: "French (Mauritania)", nativeName: "français (Mauritanie)"
  fr_MR("fr_MR", "French (Mauritania)", "français (Mauritanie)"),

  /// code: "fr_MU", name: "French (Mauritius)", nativeName: "français (Maurice)"
  fr_MU("fr_MU", "French (Mauritius)", "français (Maurice)"),

  /// code: "fr_NC", name: "French (New Caledonia)", nativeName: "français (Nouvelle-Calédonie)"
  fr_NC("fr_NC", "French (New Caledonia)", "français (Nouvelle-Calédonie)"),

  /// code: "fr_NE", name: "French (Niger)", nativeName: "français (Niger)"
  fr_NE("fr_NE", "French (Niger)", "français (Niger)"),

  /// code: "fr_PF", name: "French (French Polynesia)", nativeName: "français (Polynésie française)"
  fr_PF("fr_PF", "French (French Polynesia)", "français (Polynésie française)"),

  /// code: "fr_PM", name: "French (Saint Pierre and Miquelon)", nativeName: "français (Saint-Pierre-et-Miquelon)"
  fr_PM("fr_PM", "French (Saint Pierre and Miquelon)",
      "français (Saint-Pierre-et-Miquelon)"),

  /// code: "fr_RE", name: "French (Réunion)", nativeName: "français (La Réunion)"
  fr_RE("fr_RE", "French (Réunion)", "français (La Réunion)"),

  /// code: "fr_RW", name: "French (Rwanda)", nativeName: "français (Rwanda)"
  fr_RW("fr_RW", "French (Rwanda)", "français (Rwanda)"),

  /// code: "fr_SC", name: "French (Seychelles)", nativeName: "français (Seychelles)"
  fr_SC("fr_SC", "French (Seychelles)", "français (Seychelles)"),

  /// code: "fr_SN", name: "French (Senegal)", nativeName: "français (Sénégal)"
  fr_SN("fr_SN", "French (Senegal)", "français (Sénégal)"),

  /// code: "fr_SY", name: "French (Syria)", nativeName: "français (Syrie)"
  fr_SY("fr_SY", "French (Syria)", "français (Syrie)"),

  /// code: "fr_TD", name: "French (Chad)", nativeName: "français (Tchad)"
  fr_TD("fr_TD", "French (Chad)", "français (Tchad)"),

  /// code: "fr_TG", name: "French (Togo)", nativeName: "français (Togo)"
  fr_TG("fr_TG", "French (Togo)", "français (Togo)"),

  /// code: "fr_TN", name: "French (Tunisia)", nativeName: "français (Tunisie)"
  fr_TN("fr_TN", "French (Tunisia)", "français (Tunisie)"),

  /// code: "fr_VU", name: "French (Vanuatu)", nativeName: "français (Vanuatu)"
  fr_VU("fr_VU", "French (Vanuatu)", "français (Vanuatu)"),

  /// code: "fr_WF", name: "French (Wallis and Futuna)", nativeName: "français (Wallis-et-Futuna)"
  fr_WF("fr_WF", "French (Wallis and Futuna)", "français (Wallis-et-Futuna)"),

  /// code: "fr_YT", name: "French (Mayotte)", nativeName: "français (Mayotte)"
  fr_YT("fr_YT", "French (Mayotte)", "français (Mayotte)"),

  /// code: "fy", name: "Western Frisian", nativeName: "Frysk"
  fy("fy", "Western Frisian", "Frysk"),

  /// code: "fy_NL", name: "Western Frisian (Netherlands)", nativeName: "Frysk (Nederlân)"
  fy_NL("fy_NL", "Western Frisian (Netherlands)", "Frysk (Nederlân)"),

  /// code: "ga", name: "Irish", nativeName: "Gaeilge"
  ga("ga", "Irish", "Gaeilge"),

  /// code: "ga_IE", name: "Irish (Ireland)", nativeName: "Gaeilge (Éire)"
  ga_IE("ga_IE", "Irish (Ireland)", "Gaeilge (Éire)"),

  /// code: "gd", name: "Scottish Gaelic", nativeName: "Gàidhlig"
  gd("gd", "Scottish Gaelic", "Gàidhlig"),

  /// code: "gd_GB", name: "Scottish Gaelic (United Kingdom)", nativeName: "Gàidhlig (An Rìoghachd Aonaichte)"
  gd_GB("gd_GB", "Scottish Gaelic (United Kingdom)",
      "Gàidhlig (An Rìoghachd Aonaichte)"),

  /// code: "gl", name: "Galician", nativeName: "galego"
  gl("gl", "Galician", "galego"),

  /// code: "gl_ES", name: "Galician (Spain)", nativeName: "galego (España)"
  gl_ES("gl_ES", "Galician (Spain)", "galego (España)"),

  /// code: "gn", name: "Guarani", nativeName: "Avañe'ẽ"
  gn("gn", "Guarani", "Avañe'ẽ"),

  /// code: "gn_PY", name: "Guarani (Paraguay)", nativeName: "Avañe'ẽ (Paraguay)"
  gn_PY("gn_PY", "Guarani (Paraguay)", "Avañe'ẽ (Paraguay)"),

  /// code: "gu", name: "Gujarati", nativeName: "ગુજરાતી"
  gu("gu", "Gujarati", "ગુજરાતી"),

  /// code: "gu_IN", name: "Gujarati (India)", nativeName: "ગુજરાતી (ભારત)"
  gu_IN("gu_IN", "Gujarati (India)", "ગુજરાતી (ભારત)"),

  /// code: "gv", name: "Manx", nativeName: "Gaelg"
  gv("gv", "Manx", "Gaelg"),

  /// code: "gv_IM", name: "Manx (Isle of Man)", nativeName: "Gaelg (Ellan Vannin)"
  gv_IM("gv_IM", "Manx (Isle of Man)", "Gaelg (Ellan Vannin)"),

  /// code: "ha", name: "Hausa", nativeName: "Hausa"
  ha("ha", "Hausa", "Hausa"),

  /// code: "ha_GH", name: "Hausa (Ghana)", nativeName: "Hausa (Gana)"
  ha_GH("ha_GH", "Hausa (Ghana)", "Hausa (Gana)"),

  /// code: "ha_NE", name: "Hausa (Niger)", nativeName: "Hausa (Nijar)"
  ha_NE("ha_NE", "Hausa (Niger)", "Hausa (Nijar)"),

  /// code: "ha_NG", name: "Hausa (Nigeria)", nativeName: "Hausa (Nigeria)"
  ha_NG("ha_NG", "Hausa (Nigeria)", "Hausa (Nigeria)"),

  /// code: "he", name: "Hebrew", nativeName: "עברית"
  he("he", "Hebrew", "עברית"),

  /// code: "he_IL", name: "Hebrew (Israel)", nativeName: "עברית (ישראל)"
  he_IL("he_IL", "Hebrew (Israel)", "עברית (ישראל)"),

  /// code: "hi", name: "Hindi", nativeName: "हिन्दी"
  hi("hi", "Hindi", "हिन्दी"),

  /// code: "hi_IN", name: "Hindi (India)", nativeName: "हिन्दी (भारत)"
  hi_IN("hi_IN", "Hindi (India)", "हिन्दी (भारत)"),

  /// code: "ho", name: "Hiri Motu", nativeName: "Hiri Motu"
  ho("ho", "Hiri Motu", "Hiri Motu"),

  /// code: "ho_PG", name: "Hiri Motu (Papua New Guinea)", nativeName: "Hiri Motu (Papua New Guinea)"
  ho_PG(
      "ho_PG", "Hiri Motu (Papua New Guinea)", "Hiri Motu (Papua New Guinea)"),

  /// code: "hr", name: "Croatian", nativeName: "hrvatski"
  hr("hr", "Croatian", "hrvatski"),

  /// code: "hr_BA", name: "Croatian (Bosnia and Herzegovina)", nativeName: "hrvatski (Bosna i Hercegovina)"
  hr_BA("hr_BA", "Croatian (Bosnia and Herzegovina)",
      "hrvatski (Bosna i Hercegovina)"),

  /// code: "hr_HR", name: "Croatian (Croatia)", nativeName: "hrvatski (Hrvatska)"
  hr_HR("hr_HR", "Croatian (Croatia)", "hrvatski (Hrvatska)"),

  /// code: "ht", name: "Haitian Creole", nativeName: "Kreyòl ayisyen"
  ht("ht", "Haitian Creole", "Kreyòl ayisyen"),

  /// code: "ht_HT", name: "Haitian Creole (Haiti)", nativeName: "Kreyòl ayisyen (Ayiti)"
  ht_HT("ht_HT", "Haitian Creole (Haiti)", "Kreyòl ayisyen (Ayiti)"),

  /// code: "hu", name: "Hungarian", nativeName: "magyar"
  hu("hu", "Hungarian", "magyar"),

  /// code: "hu_HU", name: "Hungarian (Hungary)", nativeName: "magyar (Magyarország)"
  hu_HU("hu_HU", "Hungarian (Hungary)", "magyar (Magyarország)"),

  /// code: "hy", name: "Armenian", nativeName: "Հայերեն"
  hy("hy", "Armenian", "Հայերեն"),

  /// code: "hy_AM", name: "Armenian (Armenia)", nativeName: "Հայերեն (Հայաստան)"
  hy_AM("hy_AM", "Armenian (Armenia)", "Հայերեն (Հայաստան)"),

  /// code: "hz", name: "Herero", nativeName: "Otsiherero"
  hz("hz", "Herero", "Otsiherero"),

  /// code: "hz_NA", name: "Herero (Namibia)", nativeName: "Otsiherero (Namibia)"
  hz_NA("hz_NA", "Herero (Namibia)", "Otsiherero (Namibia)"),

  /// code: "ia", name: "Interlingua", nativeName: "Interlingua"
  ia("ia", "Interlingua", "Interlingua"),

  /// code: "ia_001", name: "Interlingua (World)", nativeName: "Interlingua (Mundo)"
  ia_001("ia_001", "Interlingua (World)", "Interlingua (Mundo)"),

  /// code: "id", name: "Indonesian", nativeName: "Bahasa Indonesia"
  id("id", "Indonesian", "Bahasa Indonesia"),

  /// code: "id_ID", name: "Indonesian (Indonesia)", nativeName: "Bahasa Indonesia (Indonesia)"
  id_ID("id_ID", "Indonesian (Indonesia)", "Bahasa Indonesia (Indonesia)"),

  /// code: "ie", name: "Interlingue; Occidental", nativeName: "Interlingue"
  ie("ie", "Interlingue; Occidental", "Interlingue"),

  /// code: "ie", name: "Interlingue; Occidental (World)", nativeName: "Interlingue (Mondo)"
  ie_World(
      "ie_World", "Interlingue; Occidental (World)", "Interlingue (Mondo)"),

  /// code: "ig", name: "Igbo", nativeName: "Igbo"
  ig("ig", "Igbo", "Igbo"),

  /// code: "ig_NG", name: "Igbo (Nigeria)", nativeName: "Igbo (Nigeria)"
  ig_NG("ig_NG", "Igbo (Nigeria)", "Igbo (Nigeria)"),

  /// code: "ii", name: "Sichuan Yi", nativeName: "ꆈꌠ꒿ Nuosuhxop"
  ii("ii", "Sichuan Yi", "ꆈꌠ꒿ Nuosuhxop"),

  /// code: "ii_CN", name: "Sichuan Yi (China)", nativeName: "ꆈꌠ꒿ Nuosuhxop (ꍏꇩ)"
  ii_CN("ii_CN", "Sichuan Yi (China)", "ꆈꌠ꒿ Nuosuhxop (ꍏꇩ)"),

  /// code: "ik", name: "Inupiaq", nativeName: "Iñupiaq"
  ik("ik", "Inupiaq", "Iñupiaq"),

  /// code: "ik_US", name: "Inupiaq (United States)", nativeName: "Iñupiaq (United States)"
  ik_US("ik_US", "Inupiaq (United States)", "Iñupiaq (United States)"),

  /// code: "io", name: "Ido", nativeName: "Ido"
  io("io", "Ido", "Ido"),

  /// code: "io_NL", name: "Ido (Netherlands)", nativeName: "Ido (Nederlands)"
  io_NL("io_NL", "Ido (Netherlands)", "Ido (Nederlands)"),

  /// code: "is", name: "Icelandic", nativeName: "íslenska"
  is_("is", "Icelandic", "íslenska"),

  /// code: "is_IS", name: "Icelandic (Iceland)", nativeName: "íslenska (Ísland)"
  is_IS("is_IS", "Icelandic (Iceland)", "íslenska (Ísland)"),

  /// code: "it", name: "Italian", nativeName: "italiano"
  it("it", "Italian", "italiano"),

  /// code: "it_CH", name: "Italian (Switzerland)", nativeName: "italiano (Svizzera)"
  it_CH("it_CH", "Italian (Switzerland)", "italiano (Svizzera)"),

  /// code: "it_IT", name: "Italian (Italy)", nativeName: "italiano (Italia)"
  it_IT("it_IT", "Italian (Italy)", "italiano (Italia)"),

  /// code: "it_SM", name: "Italian (San Marino)", nativeName: "italiano (San Marino)"
  it_SM("it_SM", "Italian (San Marino)", "italiano (San Marino)"),

  /// code: "it_VA", name: "Italian (Vatican City)", nativeName: "italiano (Città del Vaticano)"
  it_VA("it_VA", "Italian (Vatican City)", "italiano (Città del Vaticano)"),

  /// code: "iu", name: "Inuktitut", nativeName: "ᐃᓄᒃᑎᑐᑦ"
  iu("iu", "Inuktitut", "ᐃᓄᒃᑎᑐᑦ"),

  /// code: "iu_CA", name: "Inuktitut (Canada)", nativeName: "ᐃᓄᒃᑎᑐᑦ (ᑲᓇᑕᒥ)"
  iu_CA("iu_CA", "Inuktitut (Canada)", "ᐃᓄᒃᑎᑐᑦ (ᑲᓇᑕᒥ)"),

  /// code: "ja", name: "Japanese", nativeName: "日本語"
  ja("ja", "Japanese", "日本語"),

  /// code: "ja_JP", name: "Japanese (Japan)", nativeName: "日本語 (日本)"
  ja_JP("ja_JP", "Japanese (Japan)", "日本語 (日本)"),

  /// code: "jv", name: "Javanese", nativeName: "basa Jawa"
  jv("jv", "Javanese", "basa Jawa"),

  /// code: "jv_ID", name: "Javanese (Indonesia)", nativeName: "basa Jawa (Indonesia)"
  jv_ID("jv_ID", "Javanese (Indonesia)", "basa Jawa (Indonesia)"),

  /// code: "ka", name: "Georgian", nativeName: "ქართული"
  ka("ka", "Georgian", "ქართული"),

  /// code: "ka_GE", name: "Georgian (Georgia)", nativeName: "ქართული (საქართველო)"
  ka_GE("ka_GE", "Georgian (Georgia)", "ქართული (საქართველო)"),

  /// code: "kg", name: "Kongo", nativeName: "Kikongo"
  kg("kg", "Kongo", "Kikongo"),

  /// code: "kg_CD", name: "Kongo (Congo - Kinshasa)", nativeName: "Kikongo (Kongo - Kinshasa)"
  kg_CD("kg_CD", "Kongo (Congo - Kinshasa)", "Kikongo (Kongo - Kinshasa)"),

  /// code: "ki", name: "Kikuyu", nativeName: "Gĩkũyũ"
  ki("ki", "Kikuyu", "Gĩkũyũ"),

  /// code: "ki_KE", name: "Kikuyu (Kenya)", nativeName: "Gĩkũyũ (Kenya)"
  ki_KE("ki_KE", "Kikuyu (Kenya)", "Gĩkũyũ (Kenya)"),

  /// code: "kj", name: "Kwanyama; Kuanyama", nativeName: "Kuanyama"
  kj("kj", "Kwanyama; Kuanyama", "Kuanyama"),

  /// code: "kj_NA", name: "Kwanyama; Kuanyama (Namibia)", nativeName: "Kuanyama (Namibia)"
  kj_NA("kj_NA", "Kwanyama; Kuanyama (Namibia)", "Kuanyama (Namibia)"),

  /// code: "kk", name: "Kazakh", nativeName: "қазақ тілі"
  kk("kk", "Kazakh", "қазақ тілі"),

  /// code: "kk_KZ", name: "Kazakh (Kazakhstan)", nativeName: "қазақ тілі (Қазақстан)"
  kk_KZ("kk_KZ", "Kazakh (Kazakhstan)", "қазақ тілі (Қазақстан)"),

  /// code: "kl", name: "Kalaallisut", nativeName: "kalaallisut"
  kl("kl", "Kalaallisut", "kalaallisut"),

  /// code: "kl_GL", name: "Kalaallisut (Greenland)", nativeName: "kalaallisut (Kalaallit Nunaat)"
  kl_GL("kl_GL", "Kalaallisut (Greenland)", "kalaallisut (Kalaallit Nunaat)"),

  /// code: "km", name: "Khmer", nativeName: "ភាសាខ្មែរ"
  km("km", "Khmer", "ភាសាខ្មែរ"),

  /// code: "km_KH", name: "Khmer (Cambodia)", nativeName: "ភាសាខ្មែរ (កម្ពុជា)"
  km_KH("km_KH", "Khmer (Cambodia)", "ភាសាខ្មែរ (កម្ពុជា)"),

  /// code: "kn", name: "Kannada", nativeName: "ಕನ್ನಡ"
  kn("kn", "Kannada", "ಕನ್ನಡ"),

  /// code: "kn_IN", name: "Kannada (India)", nativeName: "ಕನ್ನಡ (ಭಾರತ)"
  kn_IN("kn_IN", "Kannada (India)", "ಕನ್ನಡ (ಭಾರತ)"),

  /// code: "ko", name: "Korean", nativeName: "한국어"
  ko("ko", "Korean", "한국어"),

  /// code: "ko_KP", name: "Korean (North Korea)", nativeName: "한국어 (조선민주주의인민공화국)"
  ko_KP("ko_KP", "Korean (North Korea)", "한국어 (조선민주주의인민공화국)"),

  /// code: "ko_KR", name: "Korean (South Korea)", nativeName: "한국어 (대한민국)"
  ko_KR("ko_KR", "Korean (South Korea)", "한국어 (대한민국)"),

  /// code: "kr", name: "Kanuri", nativeName: "Kanuri"
  kr("kr", "Kanuri", "Kanuri"),

  /// code: "kr_NE", name: "Kanuri (Niger)", nativeName: "Kanuri (Niger)"
  kr_NE("kr_NE", "Kanuri (Niger)", "Kanuri (Niger)"),

  /// code: "ks", name: "Kashmiri", nativeName: "कश्मीरी"
  ks("ks", "Kashmiri", "कश्मीरी"),

  /// code: "ks_IN", name: "Kashmiri (India)", nativeName: "कश्मीरी (भारत)"
  ks_IN("ks_IN", "Kashmiri (India)", "कश्मीरी (भारत)"),

  /// code: "ku", name: "Kurdish", nativeName: "Kurdî"
  ku("ku", "Kurdish", "Kurdî"),

  /// code: "ku_TR", name: "Kurdish (Turkey)", nativeName: "Kurdî (Tirkiye)"
  ku_TR("ku_TR", "Kurdish (Turkey)", "Kurdî (Tirkiye)"),

  /// code: "kv", name: "Komi", nativeName: "коми кыв"
  kv("kv", "Komi", "коми кыв"),

  /// code: "kv_RU", name: "Komi (Russia)", nativeName: "коми кыв (Россия)"
  kv_RU("kv_RU", "Komi (Russia)", "коми кыв (Россия)"),

  /// code: "kw", name: "Cornish", nativeName: "kernowek"
  kw("kw", "Cornish", "kernowek"),

  /// code: "kw_GB", name: "Cornish (United Kingdom)", nativeName: "kernowek (Rywvaneth Unys)"
  kw_GB("kw_GB", "Cornish (United Kingdom)", "kernowek (Rywvaneth Unys)"),

  /// code: "ky", name: "Kyrgyz", nativeName: "Кыргызча"
  ky("ky", "Kyrgyz", "Кыргызча"),

  /// code: "ky_KG", name: "Kyrgyz (Kyrgyzstan)", nativeName: "Кыргызча (Кыргызстан)"
  ky_KG("ky_KG", "Kyrgyz (Kyrgyzstan)", "Кыргызча (Кыргызстан)"),

  /// code: "la", name: "Latin", nativeName: "latine"
  la("la", "Latin", "latine"),

  /// code: "la_VA", name: "Latin (Vatican City)", nativeName: "latine (Civitas Vaticana)"
  la_VA("la_VA", "Latin (Vatican City)", "latine (Civitas Vaticana)"),

  /// code: "lb", name: "Luxembourgish", nativeName: "Lëtzebuergesch"
  lb("lb", "Luxembourgish", "Lëtzebuergesch"),

  /// code: "lb_LU", name: "Luxembourgish (Luxembourg)", nativeName: "Lëtzebuergesch (Luxembourg)"
  lb_LU("lb_LU", "Luxembourgish (Luxembourg)", "Lëtzebuergesch (Luxembourg)"),

  /// code: "lg", name: "Ganda", nativeName: "Luganda"
  lg("lg", "Ganda", "Luganda"),

  /// code: "lg_UG", name: "Ganda (Uganda)", nativeName: "Luganda (Yuganda)"
  lg_UG("lg_UG", "Ganda (Uganda)", "Luganda (Yuganda)"),

  /// code: "li", name: "Limburgish; Limburger; Limburgan", nativeName: "Limburgs"
  li("li", "Limburgish; Limburger; Limburgan", "Limburgs"),

  /// code: "li_BE", name: "Limburgish; Limburger; Limburgan (Belgium)", nativeName: "Limburgs (Belsch)"
  li_BE("li_BE", "Limburgish; Limburger; Limburgan (Belgium)",
      "Limburgs (Belsch)"),

  /// code: "ln", name: "Lingala", nativeName: "lingála"
  ln("ln", "Lingala", "lingála"),

  /// code: "ln_AO", name: "Lingala (Angola)", nativeName: "lingála (Angóla)"
  ln_AO("ln_AO", "Lingala (Angola)", "lingála (Angóla)"),

  /// code: "ln_CD", name: "Lingala (Congo, The Democratic Republic of the)", nativeName: "lingála (Kongó-Kinshasa)"
  ln_CD("ln_CD", "Lingala (Congo, The Democratic Republic of the)",
      "lingála (Kongó-Kinshasa)"),

  /// code: "ln_CF", name: "Lingala (Central African Republic)", nativeName: "lingála (Repibiki ya Afríka ya Káti)"
  ln_CF("ln_CF", "Lingala (Central African Republic)",
      "lingála (Repibiki ya Afríka ya Káti)"),

  /// code: "ln_CG", name: "Lingala (Congo)", nativeName: "lingála (Kongo)"
  ln_CG("ln_CG", "Lingala (Congo)", "lingála (Kongo)"),

  /// code: "lo", name: "Lao", nativeName: "ລາວ"
  lo("lo", "Lao", "ລາວ"),

  /// code: "lo_LA", name: "Lao (Laos)", nativeName: "ລາວ (ລາວ)"
  lo_LA("lo_LA", "Lao (Laos)", "ລາວ (ລາວ)"),

  /// code: "lt", name: "Lithuanian", nativeName: "lietuvių kalba"
  lt("lt", "Lithuanian", "lietuvių kalba"),

  /// code: "lt_LT", name: "Lithuanian (Lithuania)", nativeName: "lietuvių kalba (Lietuva)"
  lt_LT("lt_LT", "Lithuanian (Lithuania)", "lietuvių kalba (Lietuva)"),

  /// code: "lu", name: "Luba-Katanga", nativeName: "Tshiluba"
  lu("lu", "Luba-Katanga", "Tshiluba"),

  /// code: "lu_CD", name: "Luba-Katanga (Congo, The Democratic Republic of the)", nativeName: "Tshiluba (Ditunga wa Kongu)"
  lu_CD("lu_CD", "Luba-Katanga (Congo, The Democratic Republic of the)",
      "Tshiluba (Ditunga wa Kongu)"),

  /// code: "lv", name: "Latvian", nativeName: "latviešu valoda"
  lv("lv", "Latvian", "latviešu valoda"),

  /// code: "lv_LV", name: "Latvian (Latvia)", nativeName: "latviešu valoda (Latvija)"
  lv_LV("lv_LV", "Latvian (Latvia)", "latviešu valoda (Latvija)"),

  /// code: "mg", name: "Malagasy", nativeName: "fiteny malagasy"
  mg("mg", "Malagasy", "fiteny malagasy"),

  /// code: "mg_MG", name: "Malagasy (Madagascar)", nativeName: "fiteny malagasy (Madagasikara)"
  mg_MG("mg_MG", "Malagasy (Madagascar)", "fiteny malagasy (Madagasikara)"),

  /// code: "mh", name: "Marshallese", nativeName: "Kajin M̧ajeļ"
  mh("mh", "Marshallese", "Kajin M̧ajeļ"),

  /// code: "mh_MH", name: "Marshallese (Marshall Islands)", nativeName: "Kajin M̧ajeļ (M̧ajeļ)"
  mh_MH("mh_MH", "Marshallese (Marshall Islands)", "Kajin M̧ajeļ (M̧ajeļ)"),

  /// code: "mi", name: "Maori", nativeName: "te reo Māori"
  mi("mi", "Maori", "te reo Māori"),

  /// code: "mi_NZ", name: "Maori (New Zealand)", nativeName: "te reo Māori (Aotearoa)"
  mi_NZ("mi_NZ", "Maori (New Zealand)", "te reo Māori (Aotearoa)"),

  /// code: "mk", name: "Macedonian", nativeName: "македонски јазик"
  mk("mk", "Macedonian", "македонски јазик"),

  /// code: "mk_MK", name: "Macedonian (North Macedonia)", nativeName: "македонски јазик (Северна Македонија)"
  mk_MK("mk_MK", "Macedonian (North Macedonia)",
      "македонски јазик (Северна Македонија)"),

  /// code: "ml", name: "Malayalam", nativeName: "മലയാളം"
  ml("ml", "Malayalam", "മലയാളം"),

  /// code: "ml_IN", name: "Malayalam (India)", nativeName: "മലയാളം (ഇന്ത്യ)"
  ml_IN("ml_IN", "Malayalam (India)", "മലയാളം (ഇന്ത്യ)"),

  /// code: "mn", name: "Mongolian", nativeName: "Монгол хэл"
  mn("mn", "Mongolian", "Монгол хэл"),

  /// code: "mn_MN", name: "Mongolian (Mongolia)", nativeName: "Монгол хэл (Монгол улс)"
  mn_MN("mn_MN", "Mongolian (Mongolia)", "Монгол хэл (Монгол улс)"),

  /// code: "mr", name: "Marathi", nativeName: "मराठी"
  mr("mr", "Marathi", "मराठी"),

  /// code: "mr_IN", name: "Marathi (India)", nativeName: "मराठी (भारत)"
  mr_IN("mr_IN", "Marathi (India)", "मराठी (भारत)"),

  /// code: "ms", name: "Malay", nativeName: "Bahasa Melayu"
  ms("ms", "Malay", "Bahasa Melayu"),

  /// code: "ms_BN", name: "Malay (Brunei Darussalam)", nativeName: "Bahasa Melayu (Brunei Darussalam)"
  ms_BN("ms_BN", "Malay (Brunei Darussalam)",
      "Bahasa Melayu (Brunei Darussalam)"),

  /// code: "ms_MY", name: "Malay (Malaysia)", nativeName: "Bahasa Melayu (Malaysia)"
  ms_MY("ms_MY", "Malay (Malaysia)", "Bahasa Melayu (Malaysia)"),

  /// code: "ms_SG", name: "Malay (Singapore)", nativeName: "Bahasa Melayu (Singapura)"
  ms_SG("ms_SG", "Malay (Singapore)", "Bahasa Melayu (Singapura)"),

  /// code: "mt", name: "Maltese", nativeName: "Malti"
  mt("mt", "Maltese", "Malti"),

  /// code: "mt_MT", name: "Maltese (Malta)", nativeName: "Malti (Malta)"
  mt_MT("mt_MT", "Maltese (Malta)", "Malti (Malta)"),

  /// code: "my", name: "Burmese", nativeName: "ဗမာစာ"
  my("my", "Burmese", "ဗမာစာ"),

  /// code: "my_MM", name: "Burmese (Myanmar)", nativeName: "ဗမာစာ (မြန်မာ)"
  my_MM("my_MM", "Burmese (Myanmar)", "ဗမာစာ (မြန်မာ)"),

  /// code: "na", name: "Nauru", nativeName: "Dorerin Naoero"
  na("na", "Nauru", "Dorerin Naoero"),

  /// code: "na_NR", name: "Nauru (Nauru)", nativeName: "Dorerin Naoero (Naoero)"
  na_NR("na_NR", "Nauru (Nauru)", "Dorerin Naoero (Naoero)"),

  /// code: "nb", name: "Norwegian Bokmål", nativeName: "Norsk bokmål"
  nb("nb", "Norwegian Bokmål", "Norsk bokmål"),

  /// code: "nb_NO", name: "Norwegian Bokmål (Norway)", nativeName: "Norsk bokmål (Norge)"
  nb_NO("nb_NO", "Norwegian Bokmål (Norway)", "Norsk bokmål (Norge)"),

  /// code: "nd", name: "North Ndebele", nativeName: "isiNdebele"
  nd("nd", "North Ndebele", "isiNdebele"),

  /// code: "nd_ZW", name: "North Ndebele (Zimbabwe)", nativeName: "isiNdebele (Zimbabwe)"
  nd_ZW("nd_ZW", "North Ndebele (Zimbabwe)", "isiNdebele (Zimbabwe)"),

  /// code: "ne", name: "Nepali", nativeName: "नेपाली"
  ne("ne", "Nepali", "नेपाली"),

  /// code: "ne_IN", name: "Nepali (India)", nativeName: "नेपाली (भारत)"
  ne_IN("ne_IN", "Nepali (India)", "नेपाली (भारत)"),

  /// code: "ne_NP", name: "Nepali (Nepal)", nativeName: "नेपाली (नेपाल)"
  ne_NP("ne_NP", "Nepali (Nepal)", "नेपाली (नेपाल)"),

  /// code: "ng", name: "Ndonga", nativeName: "Owambo"
  ng("ng", "Ndonga", "Owambo"),

  /// code: "ng_NA", name: "Ndonga (Namibia)", nativeName: "Owambo (Namibia)"
  ng_NA("ng_NA", "Ndonga (Namibia)", "Owambo (Namibia)"),

  /// code: "nl", name: "Dutch", nativeName: "Nederlands"
  nl("nl", "Dutch", "Nederlands"),

  /// code: "nl_AW", name: "Dutch (Aruba)", nativeName: "Nederlands (Aruba)"
  nl_AW("nl_AW", "Dutch (Aruba)", "Nederlands (Aruba)"),

  /// code: "nl_BE", name: "Dutch (Belgium)", nativeName: "Nederlands (België)"
  nl_BE("nl_BE", "Dutch (Belgium)", "Nederlands (België)"),

  /// code: "nl_BQ", name: "Dutch (Bonaire, Sint Eustatius and Saba)", nativeName: "Nederlands (Bonaire, Sint Eustatius en Saba)"
  nl_BQ("nl_BQ", "Dutch (Bonaire, Sint Eustatius and Saba)",
      "Nederlands (Bonaire, Sint Eustatius en Saba)"),

  /// code: "nl_CW", name: "Dutch (Curaçao)", nativeName: "Nederlands (Curaçao)"
  nl_CW("nl_CW", "Dutch (Curaçao)", "Nederlands (Curaçao)"),

  /// code: "nl_NL", name: "Dutch (Netherlands)", nativeName: "Nederlands (Nederland)"
  nl_NL("nl_NL", "Dutch (Netherlands)", "Nederlands (Nederland)"),

  /// code: "nl_SR", name: "Dutch (Suriname)", nativeName: "Nederlands (Suriname)"
  nl_SR("nl_SR", "Dutch (Suriname)", "Nederlands (Suriname)"),

  /// code: "nl_SX", name: "Dutch (Sint Maarten)", nativeName: "Nederlands (Sint-Maarten)"
  nl_SX("nl_SX", "Dutch (Sint Maarten)", "Nederlands (Sint-Maarten)"),

  /// code: "nn", name: "Norwegian Nynorsk", nativeName: "Norsk nynorsk"
  nn("nn", "Norwegian Nynorsk", "Norsk nynorsk"),

  /// code: "nn_NO", name: "Norwegian Nynorsk (Norway)", nativeName: "Norsk nynorsk (Norge)"
  nn_NO("nn_NO", "Norwegian Nynorsk (Norway)", "Norsk nynorsk (Norge)"),

  /// code: "no", name: "Norwegian", nativeName: "Norsk"
  no("no", "Norwegian", "Norsk"),

  /// code: "no_NO", name: "Norwegian (Norway)", nativeName: "Norsk (Norge)"
  no_NO("no_NO", "Norwegian (Norway)", "Norsk (Norge)"),

  /// code: "nr", name: "South Ndebele", nativeName: "isiNdebele"
  nr("nr", "South Ndebele", "isiNdebele"),

  /// code: "nr_ZA", name: "South Ndebele (South Africa)", nativeName: "isiNdebele (iSewula Afrika)"
  nr_ZA("nr_ZA", "South Ndebele (South Africa)", "isiNdebele (iSewula Afrika)"),

  /// code: "nv", name: "Navajo; Navaho", nativeName: "Diné bizaad"
  nv("nv", "Navajo; Navaho", "Diné bizaad"),

  /// code: "nv_US", name: "Navajo; Navaho (United States)", nativeName: "Diné bizaad (United States)"
  nv_US(
      "nv_US", "Navajo; Navaho (United States)", "Diné bizaad (United States)"),

  /// code: "ny", name: "Chichewa", nativeName: "chiCheŵa"
  ny("ny", "Chichewa", "chiCheŵa"),

  /// code: "ny_MW", name: "Chichewa (Malawi)", nativeName: "chiCheŵa (Malawi)"
  ny_MW("ny_MW", "Chichewa (Malawi)", "chiCheŵa (Malawi)"),

  /// code: "oc", name: "Occitan", nativeName: "occitan"
  oc("oc", "Occitan", "occitan"),

  /// code: "oc_FR", name: "Occitan (France)", nativeName: "occitan (França)"
  oc_FR("oc_FR", "Occitan (France)", "occitan (França)"),

  /// code: "oj", name: "Ojibwa", nativeName: "ᐊᓂᔑᓈᐯᒧᐎᓐ"
  oj("oj", "Ojibwa", "ᐊᓂᔑᓈᐯᒧᐎᓐ"),

  /// code: "oj_CA", name: "Ojibwa (Canada)", nativeName: "ᐊᓂᔑᓈᐯᒧᐎᓐ (Canada)"
  oj_CA("oj_CA", "Ojibwa (Canada)", "ᐊᓂᔑᓈᐯᒧᐎᓐ (Canada)"),

  /// code: "om", name: "Oromo", nativeName: "Afaan Oromoo"
  om("om", "Oromo", "Afaan Oromoo"),

  /// code: "om_ET", name: "Oromo (Ethiopia)", nativeName: "Afaan Oromoo (Itoophiyaa)"
  om_ET("om_ET", "Oromo (Ethiopia)", "Afaan Oromoo (Itoophiyaa)"),

  /// code: "om_KE", name: "Oromo (Kenya)", nativeName: "Afaan Oromoo (Keeniyaa)"
  om_KE("om_KE", "Oromo (Kenya)", "Afaan Oromoo (Keeniyaa)"),

  /// code: "or", name: "Oriya", nativeName: "ଓଡ଼ିଆ"
  or("or", "Oriya", "ଓଡ଼ିଆ"),

  /// code: "or_IN", name: "Oriya (India)", nativeName: "ଓଡ଼ିଆ (ଭାରତ)"
  or_IN("or_IN", "Oriya (India)", "ଓଡ଼ିଆ (ଭାରତ)"),

  /// code: "os", name: "Ossetian", nativeName: "ирон æвзаг"
  os("os", "Ossetian", "ирон æвзаг"),

  /// code: "os_GE", name: "Ossetian (Georgia)", nativeName: "ирон æвзаг (Грузи)"
  os_GE("os_GE", "Ossetian (Georgia)", "ирон æвзаг (Грузи)"),

  /// code: "os_RU", name: "Ossetian (Russia)", nativeName: "ирон æвзаг (Росси)"
  os_RU("os_RU", "Ossetian (Russia)", "ирон æвзаг (Росси)"),

  /// code: "pa", name: "Panjabi", nativeName: "ਪੰਜਾਬੀ"
  pa("pa", "Panjabi", "ਪੰਜਾਬੀ"),

  /// code: "pa_Arab", name: "Panjabi (Arabic)", nativeName: "العربية"
  pa_Arab("pa_Arab", "Panjabi (Arabic)", "العربية"),

  /// code: "pa_Arab_PK", name: "Panjabi (Arabic, Pakistan)", nativeName: "العربية (پاکستان)"
  pa_Arab_PK("pa_Arab_PK", "Panjabi (Arabic, Pakistan)", "العربية (پاکستان)"),

  /// code: "pa_Guru", name: "Panjabi (Gurmukhi)", nativeName: "ਪੰਜਾਬੀ"
  pa_Guru("pa_Guru", "Panjabi (Gurmukhi)", "ਪੰਜਾਬੀ"),

  /// code: "pa_Guru_IN", name: "Panjabi (Gurmukhi, India)", nativeName: "ਪੰਜਾਬੀ (ਭਾਰਤ)"
  pa_Guru_IN("pa_Guru_IN", "Panjabi (Gurmukhi, India)", "ਪੰਜਾਬੀ (ਭਾਰਤ)"),

  /// code: "pa_PK", name: "Punjabi (Pakistan)", nativeName: "ਪੰਜਾਬੀ (پاکستان)"
  pa_PK("pa_PK", "Punjabi (Pakistan)", "ਪੰਜਾਬੀ (پاکستان)"),

  /// code: "pi", name: "Pali", nativeName: "पाऴि"
  pi("pi", "Pali", "पाऴि"),

  /// code: "pi_IN", name: "Pali (India)", nativeName: "पाऴि (भारतम्)"
  pi_IN("pi_IN", "Pali (India)", "पाऴि (भारतम्)"),

  /// code: "pl", name: "Polish", nativeName: "język polski"
  pl("pl", "Polish", "język polski"),

  /// code: "pl_PL", name: "Polish (Poland)", nativeName: "język polski (Polska)"
  pl_PL("pl_PL", "Polish (Poland)", "język polski (Polska)"),

  /// code: "ps", name: "Pashto", nativeName: "پښتو"
  ps("ps", "Pashto", "پښتو"),

  /// code: "ps_AF", name: "Pashto (Afghanistan)", nativeName: "پښتو (افغانستان)"
  ps_AF("ps_AF", "Pashto (Afghanistan)", "پښتو (افغانستان)"),

  /// code: "pt", name: "Portuguese", nativeName: "Português"
  pt("pt", "Portuguese", "Português"),

  /// code: "pt_AO", name: "Portuguese (Angola)", nativeName: "Português (Angola)"
  pt_AO("pt_AO", "Portuguese (Angola)", "Português (Angola)"),

  /// code: "pt_BR", name: "Portuguese (Brazil)", nativeName: "Português (Brasil)"
  pt_BR("pt_BR", "Portuguese (Brazil)", "Português (Brasil)"),

  /// code: "pt_CH", name: "Portuguese (Switzerland)", nativeName: "português (Suíça)"
  pt_CH("pt_CH", "Portuguese (Switzerland)", "português (Suíça)"),

  /// code: "pt_CV", name: "Portuguese (Cape Verde)", nativeName: "Português (Cabo Verde)"
  pt_CV("pt_CV", "Portuguese (Cape Verde)", "Português (Cabo Verde)"),

  /// code: "pt_GQ", name: "Portuguese (Equatorial Guinea)", nativeName: "português (Guiné Equatorial)"
  pt_GQ("pt_GQ", "Portuguese (Equatorial Guinea)",
      "português (Guiné Equatorial)"),

  /// code: "pt_GW", name: "Portuguese (Guinea-Bissau)", nativeName: "português (Guiné-Bissau)"
  pt_GW("pt_GW", "Portuguese (Guinea-Bissau)", "português (Guiné-Bissau)"),

  /// code: "pt_LU", name: "Portuguese (Luxembourg)", nativeName: "português (Luxemburgo)"
  pt_LU("pt_LU", "Portuguese (Luxembourg)", "português (Luxemburgo)"),

  /// code: "pt_MO", name: "Portuguese (Macao)", nativeName: "português (Macau)"
  pt_MO("pt_MO", "Portuguese (Macao)", "português (Macau)"),

  /// code: "pt_MZ", name: "Portuguese (Mozambique)", nativeName: "português (Moçambique)"
  pt_MZ("pt_MZ", "Portuguese (Mozambique)", "português (Moçambique)"),

  /// code: "pt_PT", name: "Portuguese (Portugal)", nativeName: "português (Portugal)"
  pt_PT("pt_PT", "Portuguese (Portugal)", "português (Portugal)"),

  /// code: "pt_ST", name: "Portuguese (São Tomé and Príncipe)", nativeName: "português (São Tomé e Príncipe)"
  pt_ST("pt_ST", "Portuguese (São Tomé and Príncipe)",
      "português (São Tomé e Príncipe)"),

  /// code: "pt_TL", name: "Portuguese (Timor-Leste)", nativeName: "português (Timor-Leste)"
  pt_TL("pt_TL", "Portuguese (Timor-Leste)", "português (Timor-Leste)"),

  /// code: "qu", name: "Quechua", nativeName: "Runa Simi"
  qu("qu", "Quechua", "Runa Simi"),

  /// code: "qu_BO", name: "Quechua (Bolivia)", nativeName: "Runa Simi (Bolivia)"
  qu_BO("qu_BO", "Quechua (Bolivia)", "Runa Simi (Bolivia)"),

  /// code: "qu_EC", name: "Quechua (Ecuador)", nativeName: "Runa Simi (Ecuador)"
  qu_EC("qu_EC", "Quechua (Ecuador)", "Runa Simi (Ecuador)"),

  /// code: "qu_PE", name: "Quechua (Peru)", nativeName: "Runa Simi (Perú)"
  qu_PE("qu_PE", "Quechua (Peru)", "Runa Simi (Perú)"),

  /// code: "rm", name: "Romansh", nativeName: "Rumantsch Grischun"
  rm("rm", "Romansh", "Rumantsch Grischun"),

  /// code: "rm_CH", name: "Romansh (Switzerland)", nativeName: "Rumantsch Grischun (Svizra)"
  rm_CH("rm_CH", "Romansh (Switzerland)", "Rumantsch Grischun (Svizra)"),

  /// code: "rn", name: "Rundi", nativeName: "Ikirundi"
  rn("rn", "Rundi", "Ikirundi"),

  /// code: "rn_BI", name: "Rundi (Burundi)", nativeName: "Ikirundi (Uburundi)"
  rn_BI("rn_BI", "Rundi (Burundi)", "Ikirundi (Uburundi)"),

  /// code: "ro", name: "Romanian", nativeName: "Română"
  ro("ro", "Romanian", "Română"),

  /// code: "ro_MD", name: "Romanian (Moldova)", nativeName: "Română (Republica Moldova)"
  ro_MD("ro_MD", "Romanian (Moldova)", "Română (Republica Moldova)"),

  /// code: "ro_RO", name: "Romanian (Romania)", nativeName: "Română (România)"
  ro_RO("ro_RO", "Romanian (Romania)", "Română (România)"),

  /// code: "ru", name: "Russian", nativeName: "русский язык"
  ru("ru", "Russian", "русский язык"),

  /// code: "ru_BY", name: "Russian (Belarus)", nativeName: "русский язык (Беларусь)"
  ru_BY("ru_BY", "Russian (Belarus)", "русский язык (Беларусь)"),

  /// code: "ru_KG", name: "Russian (Kyrgyzstan)", nativeName: "русский язык (Киргизия)"
  ru_KG("ru_KG", "Russian (Kyrgyzstan)", "русский язык (Киргизия)"),

  /// code: "ru_KZ", name: "Russian (Kazakhstan)", nativeName: "русский язык (Казахстан)"
  ru_KZ("ru_KZ", "Russian (Kazakhstan)", "русский язык (Казахстан)"),

  /// code: "ru_MD", name: "Russian (Moldova)", nativeName: "русский язык (Молдова)"
  ru_MD("ru_MD", "Russian (Moldova)", "русский язык (Молдова)"),

  /// code: "ru_RU", name: "Russian (Russia)", nativeName: "русский язык (Россия)"
  ru_RU("ru_RU", "Russian (Russia)", "русский язык (Россия)"),

  /// code: "ru_UA", name: "Russian (Ukraine)", nativeName: "русский язык (Украина)"
  ru_UA("ru_UA", "Russian (Ukraine)", "русский язык (Украина)"),

  /// code: "rw", name: "Kinyarwanda", nativeName: "Ikinyarwanda"
  rw("rw", "Kinyarwanda", "Ikinyarwanda"),

  /// code: "rw_RW", name: "Kinyarwanda (Rwanda)", nativeName: "Ikinyarwanda (Rwanda)"
  rw_RW("rw_RW", "Kinyarwanda (Rwanda)", "Ikinyarwanda (Rwanda)"),

  /// code: "sa", name: "Sanskrit", nativeName: "संस्कृतम्"
  sa("sa", "Sanskrit", "संस्कृतम्"),

  /// code: "sa_IN", name: "Sanskrit (India)", nativeName: "संस्कृतम् (भारतम्)"
  sa_IN("sa_IN", "Sanskrit (India)", "संस्कृतम् (भारतम्)"),

  /// code: "sc", name: "Sardinian", nativeName: "sardu"
  sc("sc", "Sardinian", "sardu"),

  /// code: "sc_IT", name: "Sardinian (Italy)", nativeName: "sardu (Italia)"
  sc_IT("sc_IT", "Sardinian (Italy)", "sardu (Italia)"),

  /// code: "sd", name: "Sindhi", nativeName: "सिन्धी"
  sd("sd", "Sindhi", "सिन्धी"),

  /// code: "sd_Arab", name: "Sindhi (Arabic)", nativeName: "سنڌي"
  sd_Arab("sd_Arab", "Sindhi (Arabic)", "سنڌي"),

  /// code: "sd_Arab_PK", name: "Sindhi (Arabic, Pakistan)", nativeName: "سنڌي (پاڪستان)"
  sd_Arab_PK("sd_Arab_PK", "Sindhi (Arabic, Pakistan)", "سنڌي (پاڪستان)"),

  /// code: "sd_Deva", name: "Sindhi (Devanagari)", nativeName: "सिन्धी"
  sd_Deva("sd_Deva", "Sindhi (Devanagari)", "सिन्धी"),

  /// code: "sd_Deva_IN", name: "Sindhi (Devanagari, India)", nativeName: "सिन्धी (भारत)"
  sd_Deva_IN("sd_Deva_IN", "Sindhi (Devanagari, India)", "सिन्धी (भारत)"),

  /// code: "se", name: "Northern Sami", nativeName: "Davvisámegiella"
  se("se", "Northern Sami", "Davvisámegiella"),

  /// code: "se_FI", name: "Northern Sami (Finland)", nativeName: "Davvisámegiella (Suopma)"
  se_FI("se_FI", "Northern Sami (Finland)", "Davvisámegiella (Suopma)"),

  /// code: "se_NO", name: "Northern Sami (Norway)", nativeName: "Davvisámegiella (Norga)"
  se_NO("se_NO", "Northern Sami (Norway)", "Davvisámegiella (Norga)"),

  /// code: "se_SE", name: "Northern Sami (Sweden)", nativeName: "Davvisámegiella (Ruoŧŧa)"
  se_SE("se_SE", "Northern Sami (Sweden)", "Davvisámegiella (Ruoŧŧa)"),

  /// code: "sg", name: "Sango", nativeName: "yângâ tî sängö"
  sg("sg", "Sango", "yângâ tî sängö"),

  /// code: "sg_CF", name: "Sango (Central African Republic)", nativeName: "yângâ tî sängö (Ködörösêse tî Bêafrîka)"
  sg_CF("sg_CF", "Sango (Central African Republic)",
      "yângâ tî sängö (Ködörösêse tî Bêafrîka)"),

  /// code: "sh", name: "Serbo-Croatian", nativeName: "Srpskohrvatski"
  sh("sh", "Serbo-Croatian", "Srpskohrvatski"),

  /// code: "sh_BA", name: "Serbo-Croatian (Bosnia and Herzegovina)", nativeName: "Srpskohrvatski (Bosna i Hercegovina)"
  sh_BA("sh_BA", "Serbo-Croatian (Bosnia and Herzegovina)",
      "Srpskohrvatski (Bosna i Hercegovina)"),

  /// code: "sh_CS", name: "Serbo-Croatian (Serbia and Montenegro)", nativeName: "Srpskohrvatski (Srbija i Crna Gora)"
  sh_CS("sh_CS", "Serbo-Croatian (Serbia and Montenegro)",
      "Srpskohrvatski (Srbija i Crna Gora)"),

  /// code: "sh_YU", name: "Serbo-Croatian (Yugoslavia)", nativeName: "Srpskohrvatski (Jugoslavija)"
  sh_YU("sh_YU", "Serbo-Croatian (Yugoslavia)", "Srpskohrvatski (Jugoslavija)"),

  /// code: "si", name: "Sinhala", nativeName: "සිංහල"
  si("si", "Sinhala", "සිංහල"),

  /// code: "si_LK", name: "Sinhala (Sri Lanka)", nativeName: "සිංහල (ශ්‍රී ලංකාව)"
  si_LK("si_LK", "Sinhala (Sri Lanka)", "සිංහල (ශ්‍රී ලංකාව)"),

  /// code: "sk", name: "Slovak", nativeName: "slovenčina"
  sk("sk", "Slovak", "slovenčina"),

  /// code: "sk_SK", name: "Slovak (Slovakia)", nativeName: "slovenčina (Slovenská republika)"
  sk_SK("sk_SK", "Slovak (Slovakia)", "slovenčina (Slovenská republika)"),

  /// code: "sl", name: "Slovenian", nativeName: "slovenski jezik"
  sl("sl", "Slovenian", "slovenski jezik"),

  /// code: "sl_SI", name: "Slovenian (Slovenia)", nativeName: "slovenski jezik (Slovenija)"
  sl_SI("sl_SI", "Slovenian (Slovenia)", "slovenski jezik (Slovenija)"),

  /// code: "sm", name: "Samoan", nativeName: "gagana fa'a Samoa"
  sm("sm", "Samoan", "gagana fa'a Samoa"),

  /// code: "sm_AS", name: "Samoan (American Samoa)", nativeName: "gagana fa'a Samoa (Sāmoa Amelika)"
  sm_AS(
      "sm_AS", "Samoan (American Samoa)", "gagana fa'a Samoa (Sāmoa Amelika)"),

  /// code: "sm_WS", name: "Samoan (Samoa)", nativeName: "gagana fa'a Samoa (Samoa)"
  sm_WS("sm_WS", "Samoan (Samoa)", "gagana fa'a Samoa (Samoa)"),

  /// code: "sn", name: "Shona", nativeName: "chiShona"
  sn("sn", "Shona", "chiShona"),

  /// code: "sn_ZW", name: "Shona (Zimbabwe)", nativeName: "chiShona (Zimbabwe)"
  sn_ZW("sn_ZW", "Shona (Zimbabwe)", "chiShona (Zimbabwe)"),

  /// code: "so", name: "Somali", nativeName: "Soomaaliga"
  so("so", "Somali", "Soomaaliga"),

  /// code: "so_DJ", name: "Somali (Djibouti)", nativeName: "Soomaaliga (Jabuuti)"
  so_DJ("so_DJ", "Somali (Djibouti)", "Soomaaliga (Jabuuti)"),

  /// code: "so_ET", name: "Somali (Ethiopia)", nativeName: "Soomaaliga (Itoobiya)"
  so_ET("so_ET", "Somali (Ethiopia)", "Soomaaliga (Itoobiya)"),

  /// code: "so_KE", name: "Somali (Kenya)", nativeName: "Soomaaliga (Kiiniya)"
  so_KE("so_KE", "Somali (Kenya)", "Soomaaliga (Kiiniya)"),

  /// code: "so_SO", name: "Somali (Somalia)", nativeName: "Soomaaliga (Soomaaliya)"
  so_SO("so_SO", "Somali (Somalia)", "Soomaaliga (Soomaaliya)"),

  /// code: "sq", name: "Albanian", nativeName: "Shqip"
  sq("sq", "Albanian", "Shqip"),

  /// code: "sq_AL", name: "Albanian (Albania)", nativeName: "Shqip (Shqipëri)"
  sq_AL("sq_AL", "Albanian (Albania)", "Shqip (Shqipëri)"),

  /// code: "sr", name: "Serbian", nativeName: "српски језик"
  sr("sr", "Serbian", "српски језик"),

  /// code: "sr_BA", name: "Serbian (Bosnia and Herzegovina)", nativeName: "српски језик (Босна и Херцеговина)"
  sr_BA("sr_BA", "Serbian (Bosnia and Herzegovina)",
      "српски језик (Босна и Херцеговина)"),

  /// code: "sr_CS", name: "Serbian (Serbia and Montenegro)", nativeName: "српски језик (Србија и Црна Гора)"
  sr_CS("sr_CS", "Serbian (Serbia and Montenegro)",
      "српски језик (Србија и Црна Гора)"),

  /// code: "sr_Cyrl", name: "Serbian (Cyrillic)", nativeName: "српски језик"
  sr_Cyrl("sr_Cyrl", "Serbian (Cyrillic)", "српски језик"),

  /// code: "sr_Cyrl_BA", name: "Serbian (Cyrillic, Bosnia and Herzegovina)", nativeName: "српски језик (ћирилица, Босна и Херцеговина)"
  sr_Cyrl_BA("sr_Cyrl_BA", "Serbian (Cyrillic, Bosnia and Herzegovina)",
      "српски језик (ћирилица, Босна и Херцеговина)"),

  /// code: "sr_Cyrl_CS", name: "Serbian (Cyrillic, Serbia and Montenegro)", nativeName: "српски језик (ћирилица, Србија и Црна Гора)"
  sr_Cyrl_CS("sr_Cyrl_CS", "Serbian (Cyrillic, Serbia and Montenegro)",
      "српски језик (ћирилица, Србија и Црна Гора)"),

  /// code: "sr_Cyrl_ME", name: "Serbian (Cyrillic, Montenegro)", nativeName: "српски језик (ћирилица, Црна Гора)"
  sr_Cyrl_ME("sr_Cyrl_ME", "Serbian (Cyrillic, Montenegro)",
      "српски језик (ћирилица, Црна Гора)"),

  /// code: "sr_Cyrl_RS", name: "Serbian (Cyrillic, Serbia)", nativeName: "српски језик (ћирилица, Србија)"
  sr_Cyrl_RS("sr_Cyrl_RS", "Serbian (Cyrillic, Serbia)",
      "српски језик (ћирилица, Србија)"),

  /// code: "sr_Latn", name: "Serbian (Latin)", nativeName: "srpski jezik"
  sr_Latn("sr_Latn", "Serbian (Latin)", "srpski jezik"),

  /// code: "sr_Latn_BA", name: "Serbian (Latin, Bosnia and Herzegovina)", nativeName: "srpski jezik (Bosna i Hercegovina)"
  sr_Latn_BA("sr_Latn_BA", "Serbian (Latin, Bosnia and Herzegovina)",
      "srpski jezik (Bosna i Hercegovina)"),

  /// code: "sr_Latn_CS", name: "Serbian (Latin, Serbia and Montenegro)", nativeName: "srpski jezik (Srbija i Crna Gora)"
  sr_Latn_CS("sr_Latn_CS", "Serbian (Latin, Serbia and Montenegro)",
      "srpski jezik (Srbija i Crna Gora)"),

  /// code: "sr_Latn_ME", name: "Serbian (Latin, Montenegro)", nativeName: "srpski jezik (Crna Gora)"
  sr_Latn_ME(
      "sr_Latn_ME", "Serbian (Latin, Montenegro)", "srpski jezik (Crna Gora)"),

  /// code: "sr_Latn_RS", name: "Serbian (Latin, Serbia)", nativeName: "srpski jezik (Srbija)"
  sr_Latn_RS("sr_Latn_RS", "Serbian (Latin, Serbia)", "srpski jezik (Srbija)"),

  /// code: "sr_ME", name: "Serbian (Montenegro)", nativeName: "српски језик (Црна Гора)"
  sr_ME("sr_ME", "Serbian (Montenegro)", "српски језик (Црна Гора)"),

  /// code: "sr_RS", name: "Serbian (Serbia)", nativeName: "српски језик (Србија)"
  sr_RS("sr_RS", "Serbian (Serbia)", "српски језик (Србија)"),

  /// code: "sr_SP", name: "Serbian (Serbia)", nativeName: "српски (Србија)"
  sr_SP("sr_SP", "Serbian (Serbia)", "српски (Србија)"),

  /// code: "ss", name: "Swati", nativeName: "SiSwati"
  ss("ss", "Swati", "SiSwati"),

  /// code: "ss_SZ", name: "Swati (Eswatini)", nativeName: "SiSwati (eSwatini)"
  ss_SZ("ss_SZ", "Swati (Eswatini)", "SiSwati (eSwatini)"),

  /// code: "ss_ZA", name: "Swati (South Africa)", nativeName: "SiSwati (South Africa)"
  ss_ZA("ss_ZA", "Swati (South Africa)", "SiSwati (South Africa)"),

  /// code: "st", name: "Southern Sotho", nativeName: "Sesotho"
  st("st", "Southern Sotho", "Sesotho"),

  /// code: "st_LS", name: "Southern Sotho (Lesotho)", nativeName: "Sesotho (Lesotho)"
  st_LS("st_LS", "Southern Sotho (Lesotho)", "Sesotho (Lesotho)"),

  /// code: "st_ZA", name: "Southern Sotho (South Africa)", nativeName: "Sesotho (South Africa)"
  st_ZA("st_ZA", "Southern Sotho (South Africa)", "Sesotho (South Africa)"),

  /// code: "su", name: "Sundanese", nativeName: "Basa Sunda"
  su("su", "Sundanese", "Basa Sunda"),

  /// code: "su_ID", name: "Sundanese (Indonesia)", nativeName: "Basa Sunda (Indonesia)"
  su_ID("su_ID", "Sundanese (Indonesia)", "Basa Sunda (Indonesia)"),

  /// code: "sv", name: "Swedish", nativeName: "Svenska"
  sv("sv", "Swedish", "Svenska"),

  /// code: "sv_AX", name: "Swedish (Åland Islands)", nativeName: "Svenska (Åland)"
  sv_AX("sv_AX", "Swedish (Åland Islands)", "Svenska (Åland)"),

  /// code: "sv_FI", name: "Swedish (Finland)", nativeName: "Svenska (Finland)"
  sv_FI("sv_FI", "Swedish (Finland)", "Svenska (Finland)"),

  /// code: "sv_SE", name: "Swedish (Sweden)", nativeName: "Svenska (Sverige)"
  sv_SE("sv_SE", "Swedish (Sweden)", "Svenska (Sverige)"),

  /// code: "sw", name: "Swahili", nativeName: "Kiswahili"
  sw("sw", "Swahili", "Kiswahili"),

  /// code: "sw_CD", name: "Swahili (Congo - Kinshasa)", nativeName: "Kiswahili (Jamhuri ya Kidemokrasia ya Kongo)"
  sw_CD("sw_CD", "Swahili (Congo - Kinshasa)",
      "Kiswahili (Jamhuri ya Kidemokrasia ya Kongo)"),

  /// code: "sw_KE", name: "Swahili (Kenya)", nativeName: "Kiswahili (Kenya)"
  sw_KE("sw_KE", "Swahili (Kenya)", "Kiswahili (Kenya)"),

  /// code: "sw_TZ", name: "Swahili (Tanzania)", nativeName: "Kiswahili (Tanzania)"
  sw_TZ("sw_TZ", "Swahili (Tanzania)", "Kiswahili (Tanzania)"),

  /// code: "sw_UG", name: "Swahili (Uganda)", nativeName: "Kiswahili (Uganda)"
  sw_UG("sw_UG", "Swahili (Uganda)", "Kiswahili (Uganda)"),

  /// code: "ta", name: "Tamil", nativeName: "தமிழ்"
  ta("ta", "Tamil", "தமிழ்"),

  /// code: "ta_IN", name: "Tamil (India)", nativeName: "தமிழ் (இந்தியா)"
  ta_IN("ta_IN", "Tamil (India)", "தமிழ் (இந்தியா)"),

  /// code: "ta_LK", name: "Tamil (Sri Lanka)", nativeName: "தமிழ் (இலங்கை)"
  ta_LK("ta_LK", "Tamil (Sri Lanka)", "தமிழ் (இலங்கை)"),

  /// code: "ta_MY", name: "Tamil (Malaysia)", nativeName: "தமிழ் (மலேசியா)"
  ta_MY("ta_MY", "Tamil (Malaysia)", "தமிழ் (மலேசியா)"),

  /// code: "ta_SG", name: "Tamil (Singapore)", nativeName: "தமிழ் (சிங்கப்பூர்)"
  ta_SG("ta_SG", "Tamil (Singapore)", "தமிழ் (சிங்கப்பூர்)"),

  /// code: "te", name: "Telugu", nativeName: "తెలుగు"
  te("te", "Telugu", "తెలుగు"),

  /// code: "te_IN", name: "Telugu (India)", nativeName: "తెలుగు (భారత దేశం)"
  te_IN("te_IN", "Telugu (India)", "తెలుగు (భారత దేశం)"),

  /// code: "tg", name: "Tajik", nativeName: "тоҷикӣ"
  tg("tg", "Tajik", "тоҷикӣ"),

  /// code: "tg_TJ", name: "Tajik (Tajikistan)", nativeName: "тоҷикӣ (Тоҷикистон)"
  tg_TJ("tg_TJ", "Tajik (Tajikistan)", "тоҷикӣ (Тоҷикистон)"),

  /// code: "th", name: "Thai", nativeName: "ไทย"
  th("th", "Thai", "ไทย"),

  /// code: "th_TH", name: "Thai (Thailand)", nativeName: "ไทย (ไทย)"
  th_TH("th_TH", "Thai (Thailand)", "ไทย (ไทย)"),

  /// code: "ti", name: "Tigrinya", nativeName: "ትግርኛ"
  ti("ti", "Tigrinya", "ትግርኛ"),

  /// code: "ti_ER", name: "Tigrinya (Eritrea)", nativeName: "ትግርኛ (ኤርትራ)"
  ti_ER("ti_ER", "Tigrinya (Eritrea)", "ትግርኛ (ኤርትራ)"),

  /// code: "ti_ET", name: "Tigrinya (Ethiopia)", nativeName: "ትግርኛ (ኢትዮጵያ)"
  ti_ET("ti_ET", "Tigrinya (Ethiopia)", "ትግርኛ (ኢትዮጵያ)"),

  /// code: "tk", name: "Turkmen", nativeName: "Türkmen"
  tk("tk", "Turkmen", "Türkmen"),

  /// code: "tk_TM", name: "Turkmen (Turkmenistan)", nativeName: "Türkmen (Türkmenistan)"
  tk_TM("tk_TM", "Turkmen (Turkmenistan)", "Türkmen (Türkmenistan)"),

  /// code: "tl", name: "Tagalog", nativeName: "Wikang Tagalog"
  tl("tl", "Tagalog", "Wikang Tagalog"),

  /// code: "tl_PH", name: "Tagalog (Philippines)", nativeName: "Wikang Tagalog (Pilipinas)"
  tl_PH("tl_PH", "Tagalog (Philippines)", "Wikang Tagalog (Pilipinas)"),

  /// code: "tn", name: "Tswana", nativeName: "Setswana"
  tn("tn", "Tswana", "Setswana"),

  /// code: "tn_BW", name: "Tswana (Botswana)", nativeName: "Setswana (Botswana)"
  tn_BW("tn_BW", "Tswana (Botswana)", "Setswana (Botswana)"),

  /// code: "tn_ZA", name: "Tswana (South Africa)", nativeName: "Setswana (Aforika Borwa)"
  tn_ZA("tn_ZA", "Tswana (South Africa)", "Setswana (Aforika Borwa)"),

  /// code: "to", name: "Tonga", nativeName: "faka Tonga"
  to("to", "Tonga", "faka Tonga"),

  /// code: "to_TO", name: "Tonga (Tonga)", nativeName: "faka Tonga (Tonga)"
  to_TO("to_TO", "Tonga (Tonga)", "faka Tonga (Tonga)"),

  /// code: "tr", name: "Turkish", nativeName: "Türkçe"
  tr("tr", "Turkish", "Türkçe"),

  /// code: "tr_CY", name: "Turkish (Cyprus)", nativeName: "Türkçe (Kıbrıs)"
  tr_CY("tr_CY", "Turkish (Cyprus)", "Türkçe (Kıbrıs)"),

  /// code: "tr_TR", name: "Turkish (Turkey)", nativeName: "Türkçe (Türkiye)"
  tr_TR("tr_TR", "Turkish (Turkey)", "Türkçe (Türkiye)"),

  /// code: "ts", name: "Tsonga", nativeName: "Xitsonga"
  ts("ts", "Tsonga", "Xitsonga"),

  /// code: "ts_ZA", name: "Tsonga (South Africa)", nativeName: "Xitsonga (South Africa)"
  ts_ZA("ts_ZA", "Tsonga (South Africa)", "Xitsonga (South Africa)"),

  /// code: "tt", name: "Tatar", nativeName: "татар теле"
  tt("tt", "Tatar", "татар теле"),

  /// code: "tt_RU", name: "Tatar (Russia)", nativeName: "татар теле (Россия)"
  tt_RU("tt_RU", "Tatar (Russia)", "татар теле (Россия)"),

  /// code: "tw", name: "Twi", nativeName: "Twi"
  tw("tw", "Twi", "Twi"),

  /// code: "tw_GH", name: "Twi (Ghana)", nativeName: "Twi (Ghana)"
  tw_GH("tw_GH", "Twi (Ghana)", "Twi (Ghana)"),

  /// code: "ty", name: "Tahitian", nativeName: "Reo Tahiti"
  ty("ty", "Tahitian", "Reo Tahiti"),

  /// code: "ty_PF", name: "Tahitian (French Polynesia)", nativeName: "Reo Tahiti (Polynésie française)"
  ty_PF("ty_PF", "Tahitian (French Polynesia)",
      "Reo Tahiti (Polynésie française)"),

  /// code: "ug", name: "Uighur", nativeName: "Uyƣurqə"
  ug("ug", "Uighur", "Uyƣurqə"),

  /// code: "ug_CN", name: "Uighur (China)", nativeName: "Uyƣurqə (جۇڭخۇا خەلق جۇمھۇرىيىتى)"
  ug_CN("ug_CN", "Uighur (China)", "Uyƣurqə (جۇڭخۇا خەلق جۇمھۇرىيىتى)"),

  /// code: "uk", name: "Ukrainian", nativeName: "українська мова"
  uk("uk", "Ukrainian", "українська мова"),

  /// code: "uk_UA", name: "Ukrainian (Ukraine)", nativeName: "українська мова (Україна)"
  uk_UA("uk_UA", "Ukrainian (Ukraine)", "українська мова (Україна)"),

  /// code: "ur", name: "Urdu", nativeName: "اردو"
  ur("ur", "Urdu", "اردو"),

  /// code: "ur_IN", name: "Urdu (India)", nativeName: "اردو (بھارت)"
  ur_IN("ur_IN", "Urdu (India)", "اردو (بھارت)"),

  /// code: "ur_PK", name: "Urdu (Pakistan)", nativeName: "اردو (پاکستان)"
  ur_PK("ur_PK", "Urdu (Pakistan)", "اردو (پاکستان)"),

  /// code: "uz", name: "Uzbek", nativeName: "Oʻzbek"
  uz("uz", "Uzbek", "Oʻzbek"),

  /// code: "uz_AF", name: "Uzbek (Afghanistan)", nativeName: "Oʻzbek (Afgʻoniston)"
  uz_AF("uz_AF", "Uzbek (Afghanistan)", "Oʻzbek (Afgʻoniston)"),

  /// code: "uz_Arab", name: "Uzbek (Arabic)", nativeName: "أۇزبېك"
  uz_Arab("uz_Arab", "Uzbek (Arabic)", "أۇزبېك"),

  /// code: "uz_Arab_AF", name: "Uzbek (Arabic, Afghanistan)", nativeName: "أۇزبېك (افغانستان)"
  uz_Arab_AF("uz_Arab_AF", "Uzbek (Arabic, Afghanistan)", "أۇزبېك (افغانستان)"),

  /// code: "uz_Cyrl", name: "Uzbek (Cyrillic)", nativeName: "Ўзбек"
  uz_Cyrl("uz_Cyrl", "Uzbek (Cyrillic)", "Ўзбек"),

  /// code: "uz_Cyrl_UZ", name: "Uzbek (Cyrillic, Uzbekistan)", nativeName: "Ўзбек (Ўзбекистон)"
  uz_Cyrl_UZ(
      "uz_Cyrl_UZ", "Uzbek (Cyrillic, Uzbekistan)", "Ўзбек (Ўзбекистон)"),

  /// code: "uz_Latn", name: "Uzbek (Latin)", nativeName: "Oʻzbek"
  uz_Latn("uz_Latn", "Uzbek (Latin)", "Oʻzbek"),

  /// code: "uz_Latn_UZ", name: "Uzbek (Latin, Uzbekistan)", nativeName: "Oʻzbek (Oʻzbekiston)"
  uz_Latn_UZ("uz_Latn_UZ", "Uzbek (Latin, Uzbekistan)", "Oʻzbek (Oʻzbekiston)"),

  /// code: "uz_UZ", name: "Uzbek (Uzbekistan)", nativeName: "Oʻzbek (Oʻzbekiston)"
  uz_UZ("uz_UZ", "Uzbek (Uzbekistan)", "Oʻzbek (Oʻzbekiston)"),

  /// code: "ve", name: "Venda", nativeName: "Tshivenḓa"
  ve("ve", "Venda", "Tshivenḓa"),

  /// code: "ve_ZA", name: "Venda (South Africa)", nativeName: "Tshivenḓa (Afurika Tshipembe)"
  ve_ZA("ve_ZA", "Venda (South Africa)", "Tshivenḓa (Afurika Tshipembe)"),

  /// code: "vi", name: "Vietnamese", nativeName: "Tiếng Việt"
  vi("vi", "Vietnamese", "Tiếng Việt"),

  /// code: "vi_VN", name: "Vietnamese (Vietnam)", nativeName: "Tiếng Việt (Việt Nam)"
  vi_VN("vi_VN", "Vietnamese (Vietnam)", "Tiếng Việt (Việt Nam)"),

  /// code: "vo", name: "Volapük", nativeName: "Volapük"
  vo("vo", "Volapük", "Volapük"),

  /// code: "wa", name: "Walloon", nativeName: "Walon"
  wa("wa", "Walloon", "Walon"),

  /// code: "wa_BE", name: "Walloon (Belgium)", nativeName: "Walon (Belgike)"
  wa_BE("wa_BE", "Walloon (Belgium)", "Walon (Belgike)"),

  /// code: "wo", name: "Wolof", nativeName: "Wollof"
  wo("wo", "Wolof", "Wollof"),

  /// code: "wo_SN", name: "Wolof (Senegal)", nativeName: "Wollof (Senegaal)"
  wo_SN("wo_SN", "Wolof (Senegal)", "Wollof (Senegaal)"),

  /// code: "xh", name: "Xhosa", nativeName: "isiXhosa"
  xh("xh", "Xhosa", "isiXhosa"),

  /// code: "xh_ZA", name: "Xhosa (South Africa)", nativeName: "isiXhosa (uMzantsi Afrika)"
  xh_ZA("xh_ZA", "Xhosa (South Africa)", "isiXhosa (uMzantsi Afrika)"),

  /// code: "yi", name: "Yiddish", nativeName: "ייִדיש"
  yi("yi", "Yiddish", "ייִדיש"),

  /// code: "yi_001", name: "Yiddish (World)", nativeName: "ייִדיש (וועלט)"
  yi_001("yi_001", "Yiddish (World)", "ייִדיש (וועלט)"),

  /// code: "yo", name: "Yoruba", nativeName: "Yorùbá"
  yo("yo", "Yoruba", "Yorùbá"),

  /// code: "yo_BJ", name: "Yoruba (Benin)", nativeName: "Yorùbá (Orílẹ́ède Bẹ̀nẹ̀)"
  yo_BJ("yo_BJ", "Yoruba (Benin)", "Yorùbá (Orílẹ́ède Bẹ̀nẹ̀)"),

  /// code: "yo_NG", name: "Yoruba (Nigeria)", nativeName: "Yorùbá (Orílẹ́ède Nàìjíríà)"
  yo_NG("yo_NG", "Yoruba (Nigeria)", "Yorùbá (Orílẹ́ède Nàìjíríà)"),

  /// code: "za", name: "Zhuang", nativeName: "Saɯ cueŋƅ"
  za("za", "Zhuang", "Saɯ cueŋƅ"),

  /// code: "za_CN", name: "Zhuang (China)", nativeName: "Saɯ cueŋƅ (中国)"
  za_CN("za_CN", "Zhuang (China)", "Saɯ cueŋƅ (中国)"),

  /// code: "zh", name: "Chinese", nativeName: "中文 (Zhōngwén)"
  zh("zh", "Chinese", "中文 (Zhōngwén)"),

  /// code: "zh_CN", name: "Chinese (China)", nativeName: "中文 (中国)"
  zh_CN("zh_CN", "Chinese (China)", "中文 (中国)"),

  /// code: "zh_HK", name: "Chinese (Hong Kong)", nativeName: "中文 (香港)"
  zh_HK("zh_HK", "Chinese (Hong Kong)", "中文 (香港)"),

  /// code: "zh_Hans", name: "Chinese (Simplified)", nativeName: "简体中文"
  zh_Hans("zh_Hans", "Chinese (Simplified)", "简体中文"),

  /// code: "zh_Hans_CN", name: "Chinese (Simplified, China)", nativeName: "简体中文 (中国)"
  zh_Hans_CN("zh_Hans_CN", "Chinese (Simplified, China)", "简体中文 (中国)"),

  /// code: "zh_Hans_HK", name: "Chinese (Simplified, Hong Kong SAR China)", nativeName: "简体中文 (中华人民共和国香港特别行政区)"
  zh_Hans_HK("zh_Hans_HK", "Chinese (Simplified, Hong Kong SAR China)",
      "简体中文 (中华人民共和国香港特别行政区)"),

  /// code: "zh_Hans_MO", name: "Chinese (Simplified, Macao SAR China)", nativeName: "简体中文 (中华人民共和国澳门特别行政区)"
  zh_Hans_MO("zh_Hans_MO", "Chinese (Simplified, Macao SAR China)",
      "简体中文 (中华人民共和国澳门特别行政区)"),

  /// code: "zh_Hans_SG", name: "Chinese (Simplified, Singapore)", nativeName: "简体中文 (新加坡)"
  zh_Hans_SG("zh_Hans_SG", "Chinese (Simplified, Singapore)", "简体中文 (新加坡)"),

  /// code: "zh_Hant", name: "Chinese (Traditional)", nativeName: "繁體中文"
  zh_Hant("zh_Hant", "Chinese (Traditional)", "繁體中文"),

  /// code: "zh_Hant_HK", name: "Chinese (Traditional, Hong Kong SAR China)", nativeName: "繁體中文 (中華人民共和國香港特別行政區)"
  zh_Hant_HK("zh_Hant_HK", "Chinese (Traditional, Hong Kong SAR China)",
      "繁體中文 (中華人民共和國香港特別行政區)"),

  /// code: "zh_Hant_MO", name: "Chinese (Traditional, Macao SAR China)", nativeName: "繁體中文 (中華人民共和國澳門特別行政區)"
  zh_Hant_MO("zh_Hant_MO", "Chinese (Traditional, Macao SAR China)",
      "繁體中文 (中華人民共和國澳門特別行政區)"),

  /// code: "zh_Hant_TW", name: "Chinese (Traditional, Taiwan)", nativeName: "繁體中文 (台灣)"
  zh_Hant_TW("zh_Hant_TW", "Chinese (Traditional, Taiwan)", "繁體中文 (台灣)"),

  /// code: "zh_MO", name: "Chinese (Macao SAR China)", nativeName: "中文 (澳门特别行政区)"
  zh_MO("zh_MO", "Chinese (Macao SAR China)", "中文 (澳门特别行政区)"),

  /// code: "zh_SG", name: "Chinese (Singapore)", nativeName: "中文 (新加坡)"
  zh_SG("zh_SG", "Chinese (Singapore)", "中文 (新加坡)"),

  /// code: "zh_TW", name: "Chinese (Taiwan)", nativeName: "中文 (台灣)"
  zh_TW("zh_TW", "Chinese (Taiwan)", "中文 (台灣)"),

  /// code: "zu", name: "Zulu", nativeName: "isiZulu"
  zu("zu", "Zulu", "isiZulu"),

  /// code: "zu_ZA", name: "Zulu (South Africa)", nativeName: "isiZulu (iNingizimu Afrika)"
  zu_ZA("zu_ZA", "Zulu (South Africa)", "isiZulu (iNingizimu Afrika)"),

  /// code: "amh", name: "Amharic", nativeName: "አማርኛ"
  amh("amh", "Amharic", "አማርኛ"),

  /// code: "ara", name: "Arabic", nativeName: "العربية"
  ara("ara", "Arabic", "العربية"),

  /// code: "ara_EG", name: "Arabic (Egypt)", nativeName: "العربية (مصر)"
  ara_EG("ara_EG", "Arabic (Egypt)", "العربية (مصر)"),

  /// code: "ara_SA", name: "Arabic (Saudi Arabia)", nativeName: "العربية (المملكة العربية السعودية)"
  ara_SA(
      "ara_SA", "Arabic (Saudi Arabia)", "العربية (المملكة العربية السعودية)"),

  /// code: "aze", name: "Azerbaijani", nativeName: "azərbaycan dili"
  aze("aze", "Azerbaijani", "azərbaycan dili"),

  /// code: "bel", name: "Belarusian", nativeName: "беларуская мова"
  bel("bel", "Belarusian", "беларуская мова"),

  /// code: "ben", name: "Bengali", nativeName: "বাংলা"
  ben("ben", "Bengali", "বাংলা"),

  /// code: "bos", name: "Bosnian", nativeName: "bosanski jezik"
  bos("bos", "Bosnian", "bosanski jezik"),

  /// code: "bul", name: "Bulgarian", nativeName: "български език"
  bul("bul", "Bulgarian", "български език"),

  /// code: "cat", name: "Catalan", nativeName: "català"
  cat("cat", "Catalan", "català"),

  /// code: "ceb", name: "Cebuano", nativeName: "Cebuano"
  ceb("ceb", "Cebuano", "Cebuano"),

  /// code: "ces", name: "Czech", nativeName: "čeština"
  ces("ces", "Czech", "čeština"),

  /// code: "chi", name: "Chinese", nativeName: "中文"
  chi("chi", "Chinese", "中文"),

  /// code: "chi_CN", name: "Chinese (China)", nativeName: "中文(中国)"
  chi_CN("chi_CN", "Chinese (China)", "中文(中国)"),

  /// code: "chi_HK", name: "Chinese (Hong Kong)", nativeName: "中文(香港)"
  chi_HK("chi_HK", "Chinese (Hong Kong)", "中文(香港)"),

  /// code: "chi_TW", name: "Chinese (Taiwan)", nativeName: "中文(台灣)"
  chi_TW("chi_TW", "Chinese (Taiwan)", "中文(台灣)"),

  /// code: "chr", name: "Cherokee", nativeName: "ᏣᎳᎩ"
  chr("chr", "Cherokee", "ᏣᎳᎩ"),

  /// code: "cym", name: "Welsh", nativeName: "Cymraeg"
  cym("cym", "Welsh", "Cymraeg"),

  /// code: "dan", name: "Danish", nativeName: "dansk"
  dan("dan", "Danish", "dansk"),

  /// code: "deu", name: "German", nativeName: "Deutsch"
  deu("deu", "German", "Deutsch"),

  /// code: "deu_DE", name: "German (Germany)", nativeName: "Deutsch (Deutschland)"
  deu_DE("deu_DE", "German (Germany)", "Deutsch (Deutschland)"),

  /// code: "deu_AT", name: "German (Austria)", nativeName: "Deutsch (Österreich)"
  deu_AT("deu_AT", "German (Austria)", "Deutsch (Österreich)"),

  /// code: "deu_CH", name: "German (Switzerland)", nativeName: "Deutsch (Schweiz)"
  deu_CH("deu_CH", "German (Switzerland)", "Deutsch (Schweiz)"),

  /// code: "ell", name: "Greek", nativeName: "Ελληνικά"
  ell("ell", "Greek", "Ελληνικά"),

  /// code: "ell_GR", name: "Greek (Greece)", nativeName: "Ελληνικά (Ελλάδα)"
  ell_GR("ell_GR", "Greek (Greece)", "Ελληνικά (Ελλάδα)"),

  /// code: "eng", name: "English", nativeName: "English"
  eng("eng", "English", "English"),

  /// code: "eng_US", name: "English (United States)", nativeName: "English (United States)"
  eng_US("eng_US", "English (United States)", "English (United States)"),

  /// code: "eng_GB", name: "English (United Kingdom)", nativeName: "English (United Kingdom)"
  eng_GB("eng_GB", "English (United Kingdom)", "English (United Kingdom)"),

  /// code: "epo", name: "Esperanto", nativeName: "Esperanto"
  epo("epo", "Esperanto", "Esperanto"),

  /// code: "est", name: "Estonian", nativeName: "eesti"
  est("est", "Estonian", "eesti"),

  /// code: "eus", name: "Basque", nativeName: "euskara"
  eus("eus", "Basque", "euskara"),

  /// code: "fas", name: "Persian", nativeName: "فارسی"
  fas("fas", "Persian", "فارسی"),

  /// code: "fas_IR", name: "Persian (Iran)", nativeName: "فارسی (ایران)"
  fas_IR("fas_IR", "Persian (Iran)", "فارسی (ایران)"),

  /// code: "fin", name: "Finnish", nativeName: "suomi"
  fin("fin", "Finnish", "suomi"),

  /// code: "fin_FIN", name: "Finnish (Finland)", nativeName: "suomi (Suomi)"
  fin_FIN("fin_FIN", "Finnish (Finland)", "suomi (Suomi)"),

  /// code: "fil", name: "Filipino", nativeName: "Filipino"
  fil("fil", "Filipino", "Filipino"),

  /// code: "fil_PH", name: "Filipino (Philippines)", nativeName: "Filipino (Philippines)"
  fil_PH("fil_PH", "Filipino (Philippines)", "Filipino (Philippines)"),

  /// code: "fra", name: "French", nativeName: "français"
  fra("fra", "French", "français"),

  /// code: "fra_FRA", name: "French (France)", nativeName: "français (France)"
  fra_FRA("fra_FRA", "French (France)", "français (France)"),

  /// code: "fra_BEL", name: "French (Belgium)", nativeName: "français (Belgique)"
  fra_BEL("fra_BEL", "French (Belgium)", "français (Belgique)"),

  /// code: "fra_CAN", name: "French (Canada)", nativeName: "français (Canada)"
  fra_CAN("fra_CAN", "French (Canada)", "français (Canada)"),

  /// code: "fra_CHE", name: "French (Switzerland)", nativeName: "français (Suisse)"
  fra_CHE("fra_CHE", "French (Switzerland)", "français (Suisse)"),

  /// code: "fry", name: "Frisian", nativeName: "Frysk"
  fry("fry", "Frisian", "Frysk"),

  /// code: "glg", name: "Galician", nativeName: "galego"
  glg("glg", "Galician", "galego"),

  /// code: "guj", name: "Gujarati", nativeName: "ગુજરાતી"
  guj("guj", "Gujarati", "ગુજરાતી"),

  /// code: "hat", name: "Haitian", nativeName: "Kreyòl ayisyen"
  hat("hat", "Haitian", "Kreyòl ayisyen"),

  /// code: "hau", name: "Hausa", nativeName: "Hausa"
  hau("hau", "Hausa", "Hausa"),

  /// code: "haw", name: "Hawaiian", nativeName: "Hawai`i"
  haw("haw", "Hawaiian", "Hawai`i"),

  /// code: "heb", name: "Hebrew", nativeName: "עברית"
  heb("heb", "Hebrew", "עברית"),

  /// code: "heb_IL", name: "Hebrew (Israel)", nativeName: "עברית (ישראל)"
  heb_IL("heb_IL", "Hebrew (Israel)", "עברית (ישראל)"),

  /// code: "hin", name: "Hindi", nativeName: "हिन्दी"
  hin("hin", "Hindi", "हिन्दी"),

  /// code: "hin_IN", name: "Hindi (India)", nativeName: "हिन्दी (भारत)"
  hin_IN("hin_IN", "Hindi (India)", "हिन्दी (भारत)"),

  /// code: "hrv", name: "Croatian", nativeName: "hrvatski"
  hrv("hrv", "Croatian", "hrvatski"),

  /// code: "hun", name: "Hungarian", nativeName: "magyar"
  hun("hun", "Hungarian", "magyar"),

  /// code: "hye", name: "Armenian", nativeName: "Հայերեն"
  hye("hye", "Armenian", "Հայերեն"),

  /// code: "hye_AM", name: "Armenian (Armenia)", nativeName: "Հայերեն (Հայաստան)"
  hye_AM("hye_AM", "Armenian (Armenia)", "Հայերեն (Հայաստան)"),

  /// code: "ibo", name: "Igbo", nativeName: "Asụsụ Igbo"
  ibo("ibo", "Igbo", "Asụsụ Igbo"),

  /// code: "ido", name: "Ido", nativeName: "Ido"
  ido("ido", "Ido", "Ido"),

  /// code: "ile", name: "Interlingue", nativeName: "Interlingue"
  ile("ile", "Interlingue", "Interlingue"),

  /// code: "ina", name: "Interlingua", nativeName: "Interlingua"
  ina("ina", "Interlingua", "Interlingua"),

  /// code: "ind", name: "Indonesian", nativeName: "Bahasa Indonesia"
  ind("ind", "Indonesian", "Bahasa Indonesia"),

  /// code: "isl", name: "Icelandic", nativeName: "Íslenska"
  isl("isl", "Icelandic", "Íslenska"),

  /// code: "ita", name: "Italian", nativeName: "italiano"
  ita("ita", "Italian", "italiano"),

  /// code: "ita_IT", name: "Italian (Italy)", nativeName: "italiano (Italia)"
  ita_IT("ita_IT", "Italian (Italy)", "italiano (Italia)"),

  /// code: "ita_CH", name: "Italian (Switzerland)", nativeName: "italiano (Svizzera)"
  ita_CH("ita_CH", "Italian (Switzerland)", "italiano (Svizzera)"),

  /// code: "jav", name: "Javanese", nativeName: "ꦧꦱꦗꦮ"
  jav("jav", "Javanese", "ꦧꦱꦗꦮ"),

  /// code: "jpn", name: "Japanese", nativeName: "日本語"
  jpn("jpn", "Japanese", "日本語"),

  /// code: "jpn_JP", name: "Japanese (Japan)", nativeName: "日本語 (日本)"
  jpn_JP("jpn_JP", "Japanese (Japan)", "日本語 (日本)"),

  /// code: "kal", name: "Kalaallisut", nativeName: "kalaallisut"
  kal("kal", "Kalaallisut", "kalaallisut"),

  /// code: "kan", name: "Kannada", nativeName: "ಕನ್ನಡ"
  kan("kan", "Kannada", "ಕನ್ನಡ"),

  /// code: "kat", name: "Georgian", nativeName: "ქართული"
  kat("kat", "Georgian", "ქართული"),

  /// code: "kat_GE", name: "Georgian (Georgia)", nativeName: "ქართული (საქართველო)"
  kat_GE("kat_GE", "Georgian (Georgia)", "ქართული (საქართველო)"),

  /// code: "kaz", name: "Kazakh", nativeName: "қазақ тілі"
  kaz("kaz", "Kazakh", "қазақ тілі"),

  /// code: "khm", name: "Central Khmer", nativeName: "ភាសាខ្មែរ"
  khm("khm", "Central Khmer", "ភាសាខ្មែរ"),

  /// code: "kir", name: "Kirghiz", nativeName: "Кыргызча"
  kir("kir", "Kirghiz", "Кыргызча"),

  /// code: "kor", name: "Korean", nativeName: "한국어"
  kor("kor", "Korean", "한국어"),

  /// code: "kor_KR", name: "Korean (Korea)", nativeName: "한국어 (대한민국)"
  kor_KR("kor_KR", "Korean (Korea)", "한국어 (대한민국)"),

  /// code: "kur", name: "Kurdish", nativeName: "Kurdî"
  kur("kur", "Kurdish", "Kurdî"),

  /// code: "kur_KUR", name: "Kurdish (Kurdistan)", nativeName: "كوردی (کوردستان)"
  kur_KUR("kur_KUR", "Kurdish (Kurdistan)", "كوردی (کوردستان)"),

  /// code: "lao", name: "Lao", nativeName: "ພາສາລາວ"
  lao("lao", "Lao", "ພາສາລາວ"),

  /// code: "lat", name: "Latin", nativeName: "latine"
  lat("lat", "Latin", "latine"),

  /// code: "lav", name: "Latvian", nativeName: "latviešu valoda"
  lav("lav", "Latvian", "latviešu valoda"),

  /// code: "lit", name: "Lithuanian", nativeName: "lietuvių kalba"
  lit("lit", "Lithuanian", "lietuvių kalba"),

  /// code: "ltz", name: "Luxembourgish", nativeName: "Lëtzebuergesch"
  ltz("ltz", "Luxembourgish", "Lëtzebuergesch"),

  /// code: "mal", name: "Malayalam", nativeName: "മലയാളം"
  mal("mal", "Malayalam", "മലയാളം"),

  /// code: "mar", name: "Marathi", nativeName: "मराठी"
  mar("mar", "Marathi", "मराठी"),

  /// code: "mkd", name: "Macedonian", nativeName: "македонски јазик"
  mkd("mkd", "Macedonian", "македонски јазик"),

  /// code: "mlg", name: "Malagasy", nativeName: "fiteny malagasy"
  mlg("mlg", "Malagasy", "fiteny malagasy"),

  /// code: "mlt", name: "Maltese", nativeName: "Malti"
  mlt("mlt", "Maltese", "Malti"),

  /// code: "mon", name: "Mongolian", nativeName: "Монгол хэл"
  mon("mon", "Mongolian", "Монгол хэл"),

  /// code: "msa", name: "Malay", nativeName: "Bahasa Melayu"
  msa("msa", "Malay", "Bahasa Melayu"),

  /// code: "mya", name: "Burmese", nativeName: "ဗမာစာ"
  mya("mya", "Burmese", "ဗမာစာ"),

  /// code: "nep", name: "Nepali", nativeName: "नेपाली"
  nep("nep", "Nepali", "नेपाली"),

  /// code: "nld", name: "Dutch", nativeName: "Nederlands"
  nld("nld", "Dutch", "Nederlands"),

  /// code: "nld_NL", name: "Dutch (Netherlands)", nativeName: "Nederlands (Nederland)"
  nld_NL("nld_NL", "Dutch (Netherlands)", "Nederlands (Nederland)"),

  /// code: "nno", name: "Norwegian Nynorsk", nativeName: "Norsk nynorsk"
  nno("nno", "Norwegian Nynorsk", "Norsk nynorsk"),

  /// code: "nob", name: "Norwegian Bokmål", nativeName: "Norsk bokmål"
  nob("nob", "Norwegian Bokmål", "Norsk bokmål"),

  /// code: "nso", name: "Northern Sotho", nativeName: "Sesotho sa Leboa"
  nso("nso", "Northern Sotho", "Sesotho sa Leboa"),

  /// code: "nso_ZA", name: "Northern Sotho (South Africa)", nativeName: "Sesotho sa Leboa (Afrika Borwa)"
  nso_ZA("nso_ZA", "Northern Sotho (South Africa)",
      "Sesotho sa Leboa (Afrika Borwa)"),

  /// code: "nya", name: "Chichewa", nativeName: "chiCheŵa"
  nya("nya", "Chichewa", "chiCheŵa"),

  /// code: "ori", name: "Oriya", nativeName: "ଓଡ଼ିଆ"
  ori("ori", "Oriya", "ଓଡ଼ିଆ"),

  /// code: "pan", name: "Panjabi", nativeName: "ਪੰਜਾਬੀ"
  pan("pan", "Panjabi", "ਪੰਜਾਬੀ"),

  /// code: "pol", name: "Polish", nativeName: "język polski"
  pol("pol", "Polish", "język polski"),

  /// code: "por", name: "Portuguese", nativeName: "Português"
  por("por", "Portuguese", "Português"),

  /// code: "por_BR", name: "Portuguese (Brazil)", nativeName: "Português (Brasil)"
  por_BR("por_BR", "Portuguese (Brazil)", "Português (Brasil)"),

  /// code: "por_PT", name: "Portuguese (Portugal)", nativeName: "Português (Portugal)"
  por_PT("por_PT", "Portuguese (Portugal)", "Português (Portugal)"),

  /// code: "pus", name: "Pushto", nativeName: "پښتو"
  pus("pus", "Pushto", "پښتو"),

  /// code: "que", name: "Quechua", nativeName: "Runa Simi"
  que("que", "Quechua", "Runa Simi"),

  /// code: "ron", name: "Romanian", nativeName: "română"
  ron("ron", "Romanian", "română"),

  /// code: "ron_RO", name: "Romanian (Romania)", nativeName: "română (România)"
  ron_RO("ron_RO", "Romanian (Romania)", "română (România)"),

  /// code: "rus", name: "Russian", nativeName: "русский язык"
  rus("rus", "Russian", "русский язык"),

  /// code: "rus_RU", name: "Russian (Russia)", nativeName: "русский язык (Россия)"
  rus_RU("rus_RU", "Russian (Russia)", "русский язык (Россия)"),

  /// code: "sco", name: "Scots", nativeName: "Scots"
  sco("sco", "Scots", "Scots"),

  /// code: "sin", name: "Sinhalese", nativeName: "සිංහල"
  sin("sin", "Sinhalese", "සිංහල"),

  /// code: "slk", name: "Slovak", nativeName: "slovenčina"
  slk("slk", "Slovak", "slovenčina"),

  /// code: "slv", name: "Slovenian", nativeName: "slovenski jezik"
  slv("slv", "Slovenian", "slovenski jezik"),

  /// code: "snd", name: "Sindhi", nativeName: "सिन्धी"
  snd("snd", "Sindhi", "सिन्धी"),

  /// code: "som", name: "Somali", nativeName: "Soomaaliga"
  som("som", "Somali", "Soomaaliga"),

  /// code: "spa", name: "Spanish", nativeName: "español"
  spa("spa", "Spanish", "español"),

  /// code: "spa_ES", name: "Spanish (Spain)", nativeName: "español (España)"
  spa_ES("spa_ES", "Spanish (Spain)", "español (España)"),

  /// code: "spa_MX", name: "Spanish (Mexico)", nativeName: "español (México)"
  spa_MX("spa_MX", "Spanish (Mexico)", "español (México)"),

  /// code: "sqi", name: "Albanian", nativeName: "Shqip"
  sqi("sqi", "Albanian", "Shqip"),

  /// code: "srp", name: "Serbian", nativeName: "српски језик"
  srp("srp", "Serbian", "српски језик"),

  /// code: "sun", name: "Sundanese", nativeName: "Basa Sunda"
  sun("sun", "Sundanese", "Basa Sunda"),

  /// code: "swa", name: "Swahili", nativeName: "Kiswahili"
  swa("swa", "Swahili", "Kiswahili"),

  /// code: "swe", name: "Swedish", nativeName: "svenska"
  swe("swe", "Swedish", "svenska"),

  /// code: "syr", name: "Syriac", nativeName: "ܣܘܪܝܝܐ"
  syr("syr", "Syriac", "ܣܘܪܝܝܐ"),

  /// code: "tam", name: "Tamil", nativeName: "தமிழ்"
  tam("tam", "Tamil", "தமிழ்"),

  /// code: "tat", name: "Tatar", nativeName: "татар теле"
  tat("tat", "Tatar", "татар теле"),

  /// code: "tel", name: "Telugu", nativeName: "తెలుగు"
  tel("tel", "Telugu", "తెలుగు"),

  /// code: "tgk", name: "Tajik", nativeName: "тоҷикӣ"
  tgk("tgk", "Tajik", "тоҷикӣ"),

  /// code: "tgl", name: "Tagalog", nativeName: "Wikang Tagalog"
  tgl("tgl", "Tagalog", "Wikang Tagalog"),

  /// code: "tha", name: "Thai", nativeName: "ไทย"
  tha("tha", "Thai", "ไทย"),

  /// code: "tha_TH", name: "Thai (Thailand)", nativeName: "ไทย (ประเทศไทย)"
  tha_TH("tha_TH", "Thai (Thailand)", "ไทย (ประเทศไทย)"),

  /// code: "tuk", name: "Turkmen", nativeName: "Türkmen"
  tuk("tuk", "Turkmen", "Türkmen"),

  /// code: "tur", name: "Turkish", nativeName: "Türkçe"
  tur("tur", "Turkish", "Türkçe"),

  /// code: "tur_TR", name: "Turkish (Turkey)", nativeName: "Türkçe (Türkiye)"
  tur_TR("tur_TR", "Turkish (Turkey)", "Türkçe (Türkiye)"),

  /// code: "uig", name: "Uighur", nativeName: "ئۇيغۇرچە"
  uig("uig", "Uighur", "ئۇيغۇرچە"),

  /// code: "ukr", name: "Ukrainian", nativeName: "українська мова"
  ukr("ukr", "Ukrainian", "українська мова"),

  /// code: "urd", name: "Urdu", nativeName: "اردو"
  urd("urd", "Urdu", "اردو"),

  /// code: "urd_PK", name: "Urdu (Pakistan)", nativeName: "اردو (پاکستان)"
  urd_PK("urd_PK", "Urdu (Pakistan)", "اردو (پاکستان)"),

  /// code: "uzb", name: "Uzbek", nativeName: "Oʻzbek"
  uzb("uzb", "Uzbek", "Oʻzbek"),

  /// code: "uzb_UZ", name: "Uzbek (Uzbekistan)", nativeName: "Oʻzbek (Oʻzbekiston)"
  uzb_UZ("uzb_UZ", "Uzbek (Uzbekistan)", "Oʻzbek (Oʻzbekiston)"),

  /// code: "vie", name: "Vietnamese", nativeName: "Tiếng Việt"
  vie("vie", "Vietnamese", "Tiếng Việt"),

  /// code: "vie_VN", name: "Vietnamese (Vietnam)", nativeName: "Tiếng Việt (Việt Nam)"
  vie_VN("vie_VN", "Vietnamese (Vietnam)", "Tiếng Việt (Việt Nam)"),

  /// code: "war", name: "Waray", nativeName: "Winaray"
  war("war", "Waray", "Winaray"),

  /// code: "wol", name: "Wolof", nativeName: "Wollof"
  wol("wol", "Wolof", "Wollof"),

  /// code: "xho", name: "Xhosa", nativeName: "isiXhosa"
  xho("xho", "Xhosa", "isiXhosa"),

  /// code: "yor", name: "Yoruba", nativeName: "Yorùbá"
  yor("yor", "Yoruba", "Yorùbá"),

  /// code: "yue", name: "Cantonese", nativeName: "粤语"
  yue("yue", "Cantonese", "粤语"),

  /// code: "yue_HK", name: "Cantonese (Hong Kong)", nativeName: "粤语(香港)"
  yue_HK("yue_HK", "Cantonese (Hong Kong)", "粤语(香港)"),

  /// code: "zho", name: "Chinese", nativeName: "中文"
  zho("zho", "Chinese", "中文"),

  /// code: "zho_CN", name: "Chinese (China)", nativeName: "中文(中国)"
  zho_CN("zho_CN", "Chinese (China)", "中文(中国)"),

  /// code: "zho_HK", name: "Chinese (Hong Kong)", nativeName: "中文(香港)"
  zho_HK("zho_HK", "Chinese (Hong Kong)", "中文(香港)"),

  /// code: "zho_TW", name: "Chinese (Taiwan)", nativeName: "中文(台灣)"
  zho_TW("zho_TW", "Chinese (Taiwan)", "中文(台灣)"),

  /// code: "zul", name: "Zulu", nativeName: "isiZulu"
  zul("zul", "Zulu", "isiZulu");

  /// Language code.
  ///
  /// Use [locale] if you want to get the current language as `Locale` because
  /// this [code] may contains country code.
  final String code;

  /// Get the English name of this code.
  String get englishName => _englishName;

  /// Language name in English
  final String _englishName;

  /// Get the native name of this code.
  String get nativeName => _nativeName;

  /// Language name in native
  final String _nativeName;

  /// Get current code as Locale
  Locale get locale {
    final localeList = code.split('_');

    switch (localeList.length) {
      case 1:
        return Locale(localeList[0]);
      case 2:
        // localeList[1] is the country code if all characters are upper cases.
        if (localeList[1] == localeList[1].toUpperCase()) {
          return Locale(localeList[0], localeList[1]);
        }
        return Locale.fromSubtags(
          languageCode: localeList[0],
          scriptCode: localeList[1],
        );
      default:
        return Locale.fromSubtags(
          languageCode: localeList[0],
          scriptCode: localeList[1],
          countryCode: localeList[2],
        );
    }
  }

  /// Get the English name.
  String get name => englishName;

  /// Get [LanguageCodes] from string [code]. If no matching element is found,
  /// returns the result of [orElse]. If [orElse] is omitted, it defaults to
  /// throwing a [StateError]
  static LanguageCodes fromCode(
    String code, {
    LanguageCodes Function()? orElse,
  }) {
    return LanguageCodes.values
        .singleWhere((element) => element.code == code, orElse: orElse);
  }

  /// Get [LanguageCodes] from [englishName]. If no matching element is found,
  /// returns the result of [orElse]. If [orElse] is omitted, it defaults to
  /// throwing a [StateError]
  static Iterable<LanguageCodes> fromEnglishName(String englishName) {
    return LanguageCodes.values
        .where((element) => element.englishName == englishName);
  }

  /// Get [LanguageCodes] from [nativeName]. If no matching element is found,
  /// returns the result of [orElse]. If [orElse] is omitted, it defaults to
  /// throwing a [StateError]
  static Iterable<LanguageCodes> fromNativeName(String nativeName) {
    return LanguageCodes.values
        .where((element) => element.nativeName == nativeName);
  }

  /// Get [LanguageCodes] from [Locale]. If no matching element is found,
  /// returns the result of [orElse]. If [orElse] is omitted, it defaults to
  /// throwing a [StateError]
  static LanguageCodes fromLocale(
    Locale locale, {
    LanguageCodes Function()? orElse,
  }) {
    for (final value in LanguageCodes.values) {
      if (locale == value.locale) {
        return value;
      }
    }
    if (orElse != null) {
      return orElse();
    }
    return throw StateError("No element");
  }

  /// LanguageCodes(code, name in English, name in native)
  ///   - [code]: language code
  ///   - [name]: name in English
  ///   - [nativeName]: name in native
  const LanguageCodes(this.code, this._englishName, this._nativeName);
}
